<?php

namespace App\Filament\Resources\DeploymentOpportunityResource\Pages;

use App\Filament\Resources\CrecResource\Pages\CreateCrec;
use App\Filament\Resources\DeploymentOpportunityResource;
use Filament\Actions;
use Filament\Notifications\Actions\Action; 
use App\Models\User;
use Filament\Notifications\Notification;
use Filament\Resources\Pages\CreateRecord;
use App\Mail\DeploymentOpportunityMail;
use Illuminate\Support\Facades\Mail;

class CreateDeploymentOpportunity extends CreateRecord
{
    protected static string $resource = DeploymentOpportunityResource::class;

    protected function getRedirectUrl(): string
{
//$record = CreateRecord;
    Notification::make()
    ->success()
    ->title( $this->record->event_name . ' Has been created')
    ->icon('heroicon-o-document-text') 
    ->iconColor('success') 
    ->body('The Deployment Opportunity **' .  $this->record->event_name . ' (' . $this->record->location_province_region->name . ') ' . '** with the follwing details has been created in the systems')
    ->actions([
        Action::make('markAsUnread')
            ->button()
            ->markAsUnread(),
        Action::make('markAsRead')
            ->button()
            ->markAsRead(),
    ])
    ->sendToDatabase(User::all());

    return $this->getResource()::getUrl('index');
}
}



// ->action(function () {                    
//     // Mail::to('okellogabrielinnocent@gmail.com')->send(new DeploymentOpportunityMail("Gabriel"));  
//     $users = User::whereDoesntHave('roles', function ($query) {
//         $query->where('id', 1);
//     })->get();

//     // Send the email to each user
//     foreach ($users as $user) {
//         Mail::to($user->email)
//             ->send(new DeploymentOpportunityMail($user->name));
//     }                
// })