<?php

namespace App\Filament\Resources\UserDataResource\Pages;

use App\Filament\Resources\UserDataResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Filament\Notifications\Notification;
use App\Models\User;
use App\Models\UserData;
use Filament\Notifications\Actions\Action;
use Illuminate\Support\Facades\Mail; 
use App\Mail\DeploymentParticipationMail;

class EditUserData extends EditRecord
{
    protected static string $resource = UserDataResource::class;

    protected function getHeaderActions(): array
    {
        return [
            // Actions\DeleteAction::make(),
            
        ];
    }
    protected function getRedirectUrl(): string 
    {
    
        $admin = User::role('Admin')->get();
        $user = User::where('id', $this->record->id)->get();
        Notification::make()
            ->success()
            ->title( $this->record->name . ' Has been invited to participate in ' . $this->record->admin_deployment_application[0]->event_name)
            ->icon('heroicon-o-document-text') 
            ->iconColor('success') 
            ->body('The Deployment Opportunity ' .  $this->record->admin_deployment_application[0]->event_name. ' (' . $this->record->admin_deployment_application[0]->location_province_region->name ?? "" . ') ' . '** with the follwing details has been created in the systems')
             ->actions([
                Action::make('markAsUnread')
                    ->button()
                    ->markAsUnread(),
                Action::make('markAsRead')
                    ->button()
                    ->markAsRead(),
            ])
            ->sendToDatabase($user)
            ->sendToDatabase($admin);
        
            Mail::to($user[0]->email)
                    ->cc(User::role('Admin')->get())
                    ->send(new DeploymentParticipationMail($this->record->admin_deployment_application[0]->event_name,$this->record->admin_deployment_application[0]->location_province_region->name, $user[0]->name));
                    

        return $this->getResource()::getUrl('index');

    }

}
