<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Http\Traits\Multitenantable as TraitsMultitenantable;
use \DateTimeInterface;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Traits\Multitenantable;

class Crec extends Model
{
    use HasFactory;
    use SoftDeletes;
    use Multitenantable;

      public $table = 'crecs';

      protected $dates = [
      'created_at',
      'updated_at',
      'deleted_at',
      ];

      protected $fillable = [
      'experience_in_health_id',
      'Strategic_communications_planning_id',
      'media_environments_id',
      'media_comms_content_id',
      'graphic_design_id',
      'social_media_web_contnet_id',
      'comms_field_deployment_id',
      'adience_analysis_strategies_id',
      'community_engagement_id',
      'CHES_MCHES_id',
      'health_education_comms_prog_id',
      'CERC_participation_id',
      'CERC_Trainer_id',
      'political_Experience_id',
      'intervener_content_hearing_id',
      'stakeholder_organisation_id',
      'response_risk_responsibility_id',
      'decision_memos_id',
      'user_id',
      'created_at',
      'updated_at',
      'deleted_at',
      ];

      public function experience_in_health()
      {
      return $this->belongsTo(TrainingLevel::class, 'experience_in_health_id');
      }

      public function Strategic_communications_planning()
      {
      return $this->belongsTo(TrainingLevel::class, 'Strategic_communications_planning_id');
      }

      public function media_environments()
      {
      return $this->belongsTo(TrainingLevel::class, 'media_environments_id');
      }

      public function media_comms_content()
      {
      return $this->belongsTo(TrainingLevel::class, 'media_comms_content_id');
      }

      public function graphic_design()
      {
      return $this->belongsTo(TrainingLevel::class, 'graphic_design_id');
      }

      public function social_media_web_contnet()
      {
      return $this->belongsTo(TrainingLevel::class, 'social_media_web_contnet_id');
      }
      
      public function comms_field_deployment()
      {
      return $this->belongsTo(TrainingLevel::class, 'comms_field_deployment_id');
      }

      public function adience_analysis_strategies()
      {
      return $this->belongsTo(TrainingLevel::class, 'adience_analysis_strategies_id');
      }

      public function community_engagement()
      {
      return $this->belongsTo(TrainingLevel::class, 'community_engagement_id');
      }

      public function CHES_MCHES()
      {
      return $this->belongsTo(TrainingLevel::class, 'CHES_MCHES_id');
      }

      public function health_education_comms_prog()
      {
      return $this->belongsTo(TrainingLevel::class, 'health_education_comms_prog_id');
      }

      public function CERC_participation()
      {
      return $this->belongsTo(TrainingLevel::class, 'CERC_participation_id');
      }

      public function CERC_Trainer()
      {
      return $this->belongsTo(TrainingLevel::class, 'CERC_Trainer_id');
      }

      public function political_Experience()
      {
      return $this->belongsTo(TrainingLevel::class, 'political_Experience_id');
      }

      public function intervener_content_hearing()
      {
      return $this->belongsTo(TrainingLevel::class, 'intervener_content_hearing_id');
      }

      public function stakeholder_organisation()
      {
      return $this->belongsTo(TrainingLevel::class, 'stakeholder_organisation_id');
      }

      public function response_risk_responsibility()
      {
      return $this->belongsTo(TrainingLevel::class, 'response_risk_responsibility_id');
      }

      public function decision_memos()
      {
      return $this->belongsTo(TrainingLevel::class, 'decision_memos_id');
      }

      public function user()
      {
      return $this->belongsTo(User::class, 'user_id');
      }

      protected function serializeDate(DateTimeInterface $date)
      {
      return $date->format('Y-m-d H:i:s');
      }
}
