<?php

namespace App\Models;

use \DateTimeInterface;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia;
use Spatie\MediaLibrary\InteractsWithMedia;
use Spatie\MediaLibrary\MediaCollections\Models\Media;
use App\Models\Traits\Multitenantable;

class DeploymentApplication extends Model 
//implements HasMedia
{
    use SoftDeletes;
    //use InteractsWithMedia;
    use HasFactory;
    use Multitenantable;

    public $table = 'deployment_applications';

    protected $dates = [
        
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'user_id',
        'deployment_opportunity_id',
        'status',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    // public function registerMediaConversions(Media $media = null): void
    // {
    //     $this->addMediaConversion('thumb')->fit('crop', 50, 50);
    //     $this->addMediaConversion('preview')->fit('crop', 120, 120);
    // }

    public function deployment_opportunity()
    {
        return $this->belongsTo(DeploymentOpportunity::class, 'deployment_opportunity_id');
    }

    public function user_data()
    {
        return $this->belongsTo(UserData::class, 'user_id');
    }
    public function user()
    {
        return $this->belongsTo(UserData::class, 'user_id');
    }

 }