<?php

namespace App\Models;

use \DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Traits\Multitenantable;

class NutritionExperience extends Model
{
    use SoftDeletes;
    use HasFactory;
    use Multitenantable;

    public const CERTIFIED_SELECT = [
        'Yes' => 'Yes',
        'No'  => 'No',
    ];

    public $table = 'nutrition_experiences';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'certified',
        'aassessment_nutritional_status_of_population_id',
        'user_id',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function assessment_of_the_nutritional_status_of_the_population()
    {
        return $this->belongsTo(TrainingLevel::class, 'assessment_nutritional_status_of_population_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
