<?php

namespace App\Models;

// use App\Http\Traits\Multitenantable as TraitsMultitenantable;

use App\Http\Traits\Multitenantable as TraitsMultitenantable;
use \DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Traits\Multitenantable;

class PsychosocialExperience extends Model
{
    use SoftDeletes;
    use HasFactory;
    use Multitenantable;
    

    public $table = 'psychosocial_experiences';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'psychosocial_experience_id',
        'licensee_id',
        'psychiatrist_id',
        'advisor_id',
        'social_worker_id',
        'trauma_based_therapy_id',
        'cognitive_behavioural_therapy_id',
        'psychodynamic_therapy_id',
        'psychoanalytic_therapy_id',
        'integrative_or_holistic_therapy_id',
        'humanistic_therapy_id',
        'pediatric_therapy_id',
        'user_id',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function psychosocial_experience()
    {
        return $this->belongsTo(TrainingLevel::class, 'psychosocial_experience_id');
    }

    public function licensee()
    {
        return $this->belongsTo(TrainingLevel::class, 'licensee_id');
    }

    public function psychiatrist()
    {
        return $this->belongsTo(TrainingLevel::class, 'psychiatrist_id');
    }

    public function advisor()
    {
        return $this->belongsTo(TrainingLevel::class, 'advisor_id');
    }

    public function social_worker()
    {
        return $this->belongsTo(TrainingLevel::class, 'social_worker_id');
    }

    public function trauma_based_therapy()
    {
        return $this->belongsTo(TrainingLevel::class, 'trauma_based_therapy_id');
    }

    public function cognitive_behavioural_therapy()
    {
        return $this->belongsTo(TrainingLevel::class, 'cognitive_behavioural_therapy_id');
    }

    public function psychodynamic_therapy()
    {
        return $this->belongsTo(TrainingLevel::class, 'psychodynamic_therapy_id');
    }

    public function psychoanalytic_therapy()
    {
        return $this->belongsTo(TrainingLevel::class, 'psychoanalytic_therapy_id');
    }

    public function integrative_or_holistic_therapy()
    {
        return $this->belongsTo(TrainingLevel::class, 'integrative_or_holistic_therapy_id');
    }

    public function humanistic_therapy()
    {
        return $this->belongsTo(TrainingLevel::class, 'humanistic_therapy_id');
    }

    public function pediatric_therapy()
    {
        return $this->belongsTo(TrainingLevel::class, 'pediatric_therapy_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
