<?php

namespace App\Models;

use \DateTimeInterface;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Traits\Multitenantable;

class Qualification extends Model
{
    use SoftDeletes;
    use HasFactory;
    use Multitenantable;

    public $table = 'qualifications';

    protected $dates = [
        
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'name',
        'year_started',
        'year_completed',
        'institute',
        'user_id',
        'created_at',
        'updated_at',
        'deleted_at',
        'upload_certificates'
    ];

    protected $casts = [
        'upload_certificates' => 'array',
    ];

    // public function getYearStartedAttribute($value)
    // {
    //     return $value ? Carbon::parse($value)->format(config('panel.date_format')) : null;
    // }

    // public function setYearStartedAttribute($value)
    // {
    //     $this->attributes['year_started'] = $value ? Carbon::createFromFormat(config('panel.date_format'), $value)->format('Y-m-d') : null;
    // }

    // public function getYearCompletedAttribute($value)
    // {
    //     return $value ? Carbon::parse($value)->format(config('panel.date_format')) : null;
    // }

    // public function setYearCompletedAttribute($value)
    // {
    //     $this->attributes['year_completed'] = $value ? Carbon::createFromFormat(config('panel.date_format'), $value)->format('Y-m-d') : null;
    // }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
