<?php
namespace App\Models\Traits;
use App\Models\User;
use Illuminate\Database\Eloquent\Builder;


trait Multitenantable
{
    protected static function bootMultitenantable(): void
    {
        static::creating(function ($model) {
            $model->user_id = auth()->id();
        });

         if (!auth()->user()->hasAnyRole('Admin')) {
            static::addGlobalScope('created_by_user_id', function (Builder $builder) {
                $builder->where('user_id', auth()->id());
            });
        } 
    }
}
