<?php

namespace App\Providers;

// use Illuminate\Support\Facades\Gate;

use App\Models\Country;
use App\Models\User;
use App\Models\Qualification;
use App\Models\Register;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use App\Policies\AgencyRolePolicy;
use App\Policies\CountryPolicy;
use App\Policies\MonthPolicy;
use App\Policies\RegionPolicy;
use App\Policies\RequesterPolicy;
use App\Policies\RequestTypePolicy;
use App\Policies\RrtRolePolicy;
use App\Policies\RrtTrainingPolicy;
use App\Policies\TrainingLevelPolicy;
use App\Policies\VaccinationPolicy;
use App\Policies\DiseaseEmergencyPolicy;
use App\Policies\UserPolicy;
use App\Policies\DepartmentPolicy;
use App\Policies\AgencyStructurePolicy;
use App\Policies\DeploymentRolePolicy;
use Countable;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The model to policy mappings for the application.
     *
     * @var array<class-string, class-string>
     */
    protected $policies = [
        AgencyRole::class => AgencyRolePolicy::class,
        MonthRole::class => MonthPolicy::class,
        Region::class => RegionPolicy::class,
        RequestType::class => RequestTypePolicy::class,
        Requester::class => RequesterPolicy::class,
        RrtRole::class => RrtRolePolicy::class,
        RrtTraining::class => RrtTrainingPolicy::class,
        TrainingLevel::class => TrainingLevelPolicy::class,
        Vaccination::class => VaccinationPolicy::class,
        DiseaseEmergency::class => DiseaseEmergencyPolicy::class,
        Country::class => CountryPolicy::class,
        User::class => UserPolicy::class,
        Department::class => DepartmentPolicy::class,
        DeploymentRole::class => DeploymentRolePolicy::class,
        AgencyStructure::class => AgencyStructurePolicy::class


        
    ];

    /**
     * Register any authentication / authorization services.
     */
    public function boot(): void
    {
        //
    }
}
