<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRelationshipFieldsToExperienceInEpidemiologiesTable extends Migration
{
    public function up()
    {
        Schema::table('experience_in_epidemiologies', function (Blueprint $table) {
            $table->unsignedBigInteger('rapid_risk_assessments_id')->nullable();
            $table->foreign('rapid_risk_assessments_id', 'rapid_risk_assessments_fk_7663365')->references('id')->on('training_levels');
            $table->unsignedBigInteger('monitoring_system_id')->nullable();
            $table->foreign('monitoring_system_id', 'monitoring_system_fk_7663366')->references('id')->on('training_levels');
            $table->unsignedBigInteger('epidemic_survey_id')->nullable();
            $table->foreign('epidemic_survey_id', 'epidemic_survey_fk_7663367')->references('id')->on('training_levels');
            $table->unsignedBigInteger('determination_of_disease_status_id')->nullable();
            $table->foreign('determination_of_disease_status_id', 'determination_of_disease_status_fk_7663368')->references('id')->on('training_levels');
            $table->unsignedBigInteger('contact_tracing_id')->nullable();
            $table->foreign('contact_tracing_id', 'contact_tracing_fk_7663369')->references('id')->on('training_levels');
            $table->unsignedBigInteger('case_management_id')->nullable();
            $table->foreign('case_management_id', 'case_management_fk_7663370')->references('id')->on('training_levels');
            $table->unsignedBigInteger('epidemiological_studies_id')->nullable();
            $table->foreign('epidemiological_studies_id', 'epidemiological_studies_fk_7663371')->references('id')->on('training_levels');
            $table->unsignedBigInteger('study_protocols_id')->nullable();
            $table->foreign('study_protocols_id', 'study_protocols_fk_7663372')->references('id')->on('training_levels');
            $table->unsignedBigInteger('data_collection_tools_id')->nullable();
            $table->foreign('data_collection_tools_id', 'data_collection_tools_fk_7663373')->references('id')->on('training_levels');
            $table->unsignedBigInteger('user_id')->nullable();
            $table->foreign('user_id', 'user_fk_7664210')->references('id')->on('users');
        });
    }
}
