<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRelationshipFieldsToLaboratoryExperiencesTable extends Migration
{
    public function up()
    {
        Schema::table('laboratory_experiences', function (Blueprint $table) {
            $table->unsignedBigInteger('user_id')->nullable();
            $table->foreign('user_id', 'user_fk_7665994')->references('id')->on('users');
            $table->unsignedBigInteger('biosafety_experience_id')->nullable();
            $table->foreign('biosafety_experience_id', 'biosafety_experience_fk_7665995')->references('id')->on('training_levels');
            $table->unsignedBigInteger('laboratory_quality_management_id')->nullable();
            $table->foreign('laboratory_quality_management_id', 'laboratory_quality_management_fk_7665996')->references('id')->on('training_levels');
            $table->unsignedBigInteger('sample_reception_and_acquisition_id')->nullable();
            $table->foreign('sample_reception_and_acquisition_id', 'sample_reception_and_acquisition_fk_7665997')->references('id')->on('training_levels');
            $table->unsignedBigInteger('sample_transport_id')->nullable();
            $table->foreign('sample_transport_id', 'sample_transport_fk_7665998')->references('id')->on('training_levels');
            $table->unsignedBigInteger('antimicrobial_id')->nullable();
            $table->foreign('antimicrobial_id', 'antimicrobial_fk_7665999')->references('id')->on('training_levels');
            $table->unsignedBigInteger('parasitology_id')->nullable();
            $table->foreign('parasitology_id', 'parasitology_fk_7666000')->references('id')->on('training_levels');
            $table->unsignedBigInteger('mycology_id')->nullable();
            $table->foreign('mycology_id', 'mycology_fk_7666001')->references('id')->on('training_levels');
            $table->unsignedBigInteger('clinical_chemistry_id')->nullable();
            $table->foreign('clinical_chemistry_id', 'clinical_chemistry_fk_7666002')->references('id')->on('training_levels');
            $table->unsignedBigInteger('blood_bank_id')->nullable();
            $table->foreign('blood_bank_id', 'blood_bank_fk_7666003')->references('id')->on('agency_roles');
            $table->unsignedBigInteger('molecular_methods_id')->nullable();
            $table->foreign('molecular_methods_id', 'molecular_methods_fk_7666004')->references('id')->on('training_levels');
            $table->unsignedBigInteger('advanced_molecular_detection_dma_id')->nullable();
            $table->foreign('advanced_molecular_detection_dma_id', 'advanced_molecular_detection_dma_fk_7666005')->references('id')->on('training_levels');
            $table->unsignedBigInteger('viral_culture_id')->nullable();
            $table->foreign('viral_culture_id', 'viral_culture_fk_7666006')->references('id')->on('training_levels');
            $table->unsignedBigInteger('serology_id')->nullable();
            $table->foreign('serology_id', 'serology_fk_7666007')->references('id')->on('training_levels');
            $table->unsignedBigInteger('bsl_3_id')->nullable();
            $table->foreign('bsl_3_id', 'bsl_3_fk_7666008')->references('id')->on('training_levels');
            $table->unsignedBigInteger('bacterial_culture_id')->nullable();
            $table->foreign('bacterial_culture_id', 'bacterial_culture_fk_7666009')->references('id')->on('training_levels');
            $table->unsignedBigInteger('phlebotomy_venipuncture_id')->nullable();
            $table->foreign('phlebotomy_venipuncture_id', 'phlebotomy_venipuncture_fk_7666010')->references('id')->on('training_levels');
            $table->unsignedBigInteger('laboratory_training_instructor_id')->nullable();
            $table->foreign('laboratory_training_instructor_id', 'laboratory_training_instructor_fk_7666011')->references('id')->on('training_levels');
            $table->unsignedBigInteger('laboratory_supervisor_experience_id')->nullable();
            $table->foreign('laboratory_supervisor_experience_id', 'laboratory_supervisor_experience_fk_7666012')->references('id')->on('training_levels');
            $table->unsignedBigInteger('laboratory_field_intervention_coordinator_id')->nullable();
            $table->foreign('laboratory_field_intervention_coordinator_id', 'laboratory_field_intervention_coordinator_fk_7666013')->references('id')->on('training_levels');
        });
    }
}
