-- MySQL dump 10.13  Distrib 8.0.34, for Linux (x86_64)
--
-- Host: localhost    Database: 2rrt
-- ------------------------------------------------------
-- Server version	8.0.34-0ubuntu0.22.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `agency_roles`
--

DROP TABLE IF EXISTS `agency_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `agency_roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `agency_roles_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `agency_roles`
--

LOCK TABLES `agency_roles` WRITE;
/*!40000 ALTER TABLE `agency_roles` DISABLE KEYS */;
INSERT INTO `agency_roles` VALUES (1,'test','2023-08-06 08:53:57','2023-08-06 09:10:02','2023-08-06 09:10:02'),(4,'	health communicator','2023-08-06 09:10:17','2023-08-06 09:10:17',NULL),(5,'	logistician','2023-08-06 09:10:19','2023-08-06 09:10:19',NULL),(6,'	epidemiologist','2023-08-06 09:10:23','2023-08-06 09:10:23',NULL),(7,'	laboratory technician','2023-08-06 09:10:29','2023-08-06 09:10:29',NULL),(8,'testg','2023-08-14 11:45:04','2023-08-14 11:45:15','2023-08-14 11:45:15');
/*!40000 ALTER TABLE `agency_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `agency_structures`
--

DROP TABLE IF EXISTS `agency_structures`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `agency_structures` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `agency_structures`
--

LOCK TABLES `agency_structures` WRITE;
/*!40000 ALTER TABLE `agency_structures` DISABLE KEYS */;
INSERT INTO `agency_structures` VALUES (1,'Country Referral hospital','2023-09-06 05:13:06','2023-09-06 05:13:06'),(2,'Health Center 2','2023-09-06 05:13:22','2023-09-06 05:13:22');
/*!40000 ALTER TABLE `agency_structures` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `case_managements`
--

DROP TABLE IF EXISTS `case_managements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `case_managements` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `physician_id` bigint unsigned DEFAULT NULL,
  `nurse_id` bigint unsigned DEFAULT NULL,
  `paramedic_id` bigint unsigned DEFAULT NULL,
  `rapid_risk_assessments_id` bigint unsigned DEFAULT NULL,
  `clinical_management_advice_and_recommendations_id` bigint unsigned DEFAULT NULL,
  `icp_in_the_care_facility_id` bigint unsigned DEFAULT NULL,
  `monitoring_system_id` bigint unsigned DEFAULT NULL,
  `epidemic_survey_id` bigint unsigned DEFAULT NULL,
  `determination_of_disease_status_id` bigint unsigned DEFAULT NULL,
  `epidemiological_studies_id` bigint unsigned DEFAULT NULL,
  `study_protocols_id` bigint unsigned DEFAULT NULL,
  `data_collection_tools_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `physician_fk_7664170` (`physician_id`),
  KEY `nurse_fk_7664172` (`nurse_id`),
  KEY `paramedic_fk_7664174` (`paramedic_id`),
  KEY `rapid_risk_assessments_fk_7664176` (`rapid_risk_assessments_id`),
  KEY `clinical_management_advice_and_recommendations_fk_7664177` (`clinical_management_advice_and_recommendations_id`),
  KEY `icp_in_the_care_facility_fk_7664178` (`icp_in_the_care_facility_id`),
  KEY `monitoring_system_fk_7664179` (`monitoring_system_id`),
  KEY `epidemic_survey_fk_7664180` (`epidemic_survey_id`),
  KEY `determination_of_disease_status_fk_7664181` (`determination_of_disease_status_id`),
  KEY `epidemiological_studies_fk_7664182` (`epidemiological_studies_id`),
  KEY `study_protocols_fk_7664183` (`study_protocols_id`),
  KEY `data_collection_tools_fk_7664184` (`data_collection_tools_id`),
  KEY `user_fk_7664211` (`user_id`),
  CONSTRAINT `clinical_management_advice_and_recommendations_fk_7664177` FOREIGN KEY (`clinical_management_advice_and_recommendations_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `data_collection_tools_fk_7664184` FOREIGN KEY (`data_collection_tools_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `determination_of_disease_status_fk_7664181` FOREIGN KEY (`determination_of_disease_status_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `epidemic_survey_fk_7664180` FOREIGN KEY (`epidemic_survey_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `epidemiological_studies_fk_7664182` FOREIGN KEY (`epidemiological_studies_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `icp_in_the_care_facility_fk_7664178` FOREIGN KEY (`icp_in_the_care_facility_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `monitoring_system_fk_7664179` FOREIGN KEY (`monitoring_system_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `nurse_fk_7664172` FOREIGN KEY (`nurse_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `paramedic_fk_7664174` FOREIGN KEY (`paramedic_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `physician_fk_7664170` FOREIGN KEY (`physician_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `rapid_risk_assessments_fk_7664176` FOREIGN KEY (`rapid_risk_assessments_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `study_protocols_fk_7664183` FOREIGN KEY (`study_protocols_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_7664211` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `case_managements`
--

LOCK TABLES `case_managements` WRITE;
/*!40000 ALTER TABLE `case_managements` DISABLE KEYS */;
INSERT INTO `case_managements` VALUES (1,'2023-08-07 16:43:56','2023-08-07 16:43:56',NULL,2,4,1,2,5,4,5,5,3,5,4,2,1),(2,'2023-09-05 16:39:44','2023-09-05 16:49:33',NULL,1,2,1,5,3,5,5,5,1,1,3,1,2);
/*!40000 ALTER TABLE `case_managements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `countries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `short_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
INSERT INTO `countries` VALUES (1,'Democratic Republic of Congo','DRC','2023-08-08 05:40:00','2023-08-08 05:40:00',NULL),(2,'Congo Brazaville','COG','2023-08-08 05:41:02','2023-08-08 05:41:02',NULL),(3,'Cote d’Ivoire','CIV','2023-08-08 05:41:07','2023-08-08 05:42:53',NULL),(4,'Cameroon','CMR','2023-08-08 05:41:39','2023-08-08 05:41:39',NULL),(5,'Uganda','UG','2023-08-08 05:43:08','2023-08-08 05:43:08',NULL),(6,'Tanzania','TZ','2023-09-10 18:05:58','2023-09-10 18:05:58',NULL);
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `crecs`
--

DROP TABLE IF EXISTS `crecs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `crecs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `experience_in_health_id` bigint unsigned DEFAULT NULL,
  `Strategic_communications_planning_id` bigint unsigned DEFAULT NULL,
  `media_environments_id` bigint unsigned DEFAULT NULL,
  `media_comms_content_id` bigint unsigned DEFAULT NULL,
  `graphic_design_id` bigint unsigned DEFAULT NULL,
  `social_media_web_contnet_id` bigint unsigned DEFAULT NULL,
  `comms_field_deployment_id` bigint unsigned DEFAULT NULL,
  `adience_analysis_strategies_id` bigint unsigned DEFAULT NULL,
  `community_engagement_id` bigint unsigned DEFAULT NULL,
  `CHES_MCHES_id` bigint unsigned DEFAULT NULL,
  `health_education_comms_prog_id` bigint unsigned DEFAULT NULL,
  `CERC_participation_id` bigint unsigned DEFAULT NULL,
  `CERC_Trainer_id` bigint unsigned DEFAULT NULL,
  `political_Experience_id` bigint unsigned DEFAULT NULL,
  `intervener_content_hearing_id` bigint unsigned DEFAULT NULL,
  `stakeholder_organisation_id` bigint unsigned DEFAULT NULL,
  `response_risk_responsibility_id` bigint unsigned DEFAULT NULL,
  `decision_memos_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `experience_in_health_id_fk_7700718` (`experience_in_health_id`),
  KEY `Strategic_communications_planning_id_fk_7700719` (`Strategic_communications_planning_id`),
  KEY `media_environments_id_fk_7700720` (`media_environments_id`),
  KEY `media_comms_content_id_fk_7700721` (`media_comms_content_id`),
  KEY `graphic_design_id_fk_7700722` (`graphic_design_id`),
  KEY `social_media_web_contnet_id_fk_7700723` (`social_media_web_contnet_id`),
  KEY `comms_field_deployment_id_fk_7700724` (`comms_field_deployment_id`),
  KEY `adience_analysis_strategies_id_fk_7700725` (`adience_analysis_strategies_id`),
  KEY `community_engagement_id_fk_7700726` (`community_engagement_id`),
  KEY `CHES_MCHES_id_fk_7700727` (`CHES_MCHES_id`),
  KEY `health_education_comms_prog_id_fk_7700728` (`health_education_comms_prog_id`),
  KEY `CERC_participation_id_fk_7700729` (`CERC_participation_id`),
  KEY `CERC_Trainer_id_fk_7700730` (`CERC_Trainer_id`),
  KEY `political_Experience_id_fk_7700731` (`political_Experience_id`),
  KEY `intervener_content_hearing_id_fk_7700732` (`intervener_content_hearing_id`),
  KEY `stakeholder_organisation_id_fk_7700733` (`stakeholder_organisation_id`),
  KEY `response_risk_responsibility_id_fk_7700734` (`response_risk_responsibility_id`),
  KEY `decision_memos_id_fk_7700734` (`decision_memos_id`),
  KEY `user_fk_8664218` (`user_id`),
  CONSTRAINT `adience_analysis_strategies_id_fk_7700725` FOREIGN KEY (`adience_analysis_strategies_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `CERC_participation_id_fk_7700729` FOREIGN KEY (`CERC_participation_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `CERC_Trainer_id_fk_7700730` FOREIGN KEY (`CERC_Trainer_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `CHES_MCHES_id_fk_7700727` FOREIGN KEY (`CHES_MCHES_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `comms_field_deployment_id_fk_7700724` FOREIGN KEY (`comms_field_deployment_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `community_engagement_id_fk_7700726` FOREIGN KEY (`community_engagement_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `decision_memos_id_fk_7700734` FOREIGN KEY (`decision_memos_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `experience_in_health_id_fk_7700718` FOREIGN KEY (`experience_in_health_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `graphic_design_id_fk_7700722` FOREIGN KEY (`graphic_design_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `health_education_comms_prog_id_fk_7700728` FOREIGN KEY (`health_education_comms_prog_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `intervener_content_hearing_id_fk_7700732` FOREIGN KEY (`intervener_content_hearing_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `media_comms_content_id_fk_7700721` FOREIGN KEY (`media_comms_content_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `media_environments_id_fk_7700720` FOREIGN KEY (`media_environments_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `political_Experience_id_fk_7700731` FOREIGN KEY (`political_Experience_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `response_risk_responsibility_id_fk_7700734` FOREIGN KEY (`response_risk_responsibility_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `social_media_web_contnet_id_fk_7700723` FOREIGN KEY (`social_media_web_contnet_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `stakeholder_organisation_id_fk_7700733` FOREIGN KEY (`stakeholder_organisation_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `Strategic_communications_planning_id_fk_7700719` FOREIGN KEY (`Strategic_communications_planning_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_8664218` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `crecs`
--

LOCK TABLES `crecs` WRITE;
/*!40000 ALTER TABLE `crecs` DISABLE KEYS */;
INSERT INTO `crecs` VALUES (1,'2023-08-07 07:57:34','2023-08-07 08:02:44',NULL,3,3,3,3,2,4,5,5,4,4,4,5,3,4,2,1,2,5,3),(2,'2023-08-07 09:14:54','2023-08-07 09:14:54',NULL,4,5,5,5,5,2,1,4,1,5,5,4,5,4,4,2,4,1,2);
/*!40000 ALTER TABLE `crecs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_managements`
--

DROP TABLE IF EXISTS `data_managements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_managements` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `please_specify_other_software` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `quantitative_data_id` bigint unsigned DEFAULT NULL,
  `excel_id` bigint unsigned DEFAULT NULL,
  `access_id` bigint unsigned DEFAULT NULL,
  `sas_id` bigint unsigned DEFAULT NULL,
  `spss_id` bigint unsigned DEFAULT NULL,
  `status_id` bigint unsigned DEFAULT NULL,
  `r_id` bigint unsigned DEFAULT NULL,
  `epi_info_id` bigint unsigned DEFAULT NULL,
  `monitoring_database_id` bigint unsigned DEFAULT NULL,
  `qualitative_data_id` bigint unsigned DEFAULT NULL,
  `data_visualization_id` bigint unsigned DEFAULT NULL,
  `geographic_information_system_gis_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `quantitative_data_fk_7663174` (`quantitative_data_id`),
  KEY `excel_fk_7663175` (`excel_id`),
  KEY `access_fk_7663176` (`access_id`),
  KEY `sas_fk_7663177` (`sas_id`),
  KEY `spss_fk_7663178` (`spss_id`),
  KEY `status_fk_7663179` (`status_id`),
  KEY `r_fk_7663180` (`r_id`),
  KEY `epi_info_fk_7663181` (`epi_info_id`),
  KEY `monitoring_database_fk_7663182` (`monitoring_database_id`),
  KEY `qualitative_data_fk_7663183` (`qualitative_data_id`),
  KEY `data_visualization_fk_7663184` (`data_visualization_id`),
  KEY `geographic_information_system_gis_fk_7663185` (`geographic_information_system_gis_id`),
  KEY `user_fk_7664209` (`user_id`),
  CONSTRAINT `access_fk_7663176` FOREIGN KEY (`access_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `data_visualization_fk_7663184` FOREIGN KEY (`data_visualization_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `epi_info_fk_7663181` FOREIGN KEY (`epi_info_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `excel_fk_7663175` FOREIGN KEY (`excel_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `geographic_information_system_gis_fk_7663185` FOREIGN KEY (`geographic_information_system_gis_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `monitoring_database_fk_7663182` FOREIGN KEY (`monitoring_database_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `qualitative_data_fk_7663183` FOREIGN KEY (`qualitative_data_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `quantitative_data_fk_7663174` FOREIGN KEY (`quantitative_data_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `r_fk_7663180` FOREIGN KEY (`r_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `sas_fk_7663177` FOREIGN KEY (`sas_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `spss_fk_7663178` FOREIGN KEY (`spss_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `status_fk_7663179` FOREIGN KEY (`status_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_7664209` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_managements`
--

LOCK TABLES `data_managements` WRITE;
/*!40000 ALTER TABLE `data_managements` DISABLE KEYS */;
INSERT INTO `data_managements` VALUES (1,'<p>test</p>','2023-08-08 02:51:42','2023-08-08 02:51:42',NULL,3,1,3,3,1,2,1,4,4,4,2,2,1);
/*!40000 ALTER TABLE `data_managements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `departments`
--

DROP TABLE IF EXISTS `departments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `departments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `departments`
--

LOCK TABLES `departments` WRITE;
/*!40000 ALTER TABLE `departments` DISABLE KEYS */;
INSERT INTO `departments` VALUES (1,'Department 1','2023-09-06 04:54:40','2023-09-06 04:55:08'),(2,'Department 2','2023-09-06 04:54:52','2023-09-06 04:54:52'),(3,'Department 3','2023-09-06 04:54:59','2023-09-06 04:54:59');
/*!40000 ALTER TABLE `departments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deployment_application_user`
--

DROP TABLE IF EXISTS `deployment_application_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deployment_application_user` (
  `user_id` bigint unsigned NOT NULL,
  `deployment_application_id` bigint unsigned NOT NULL,
  KEY `user_id_fk_81520231` (`user_id`),
  KEY `deployment_application_id_fk_7617740` (`deployment_application_id`),
  CONSTRAINT `deployment_application_id_fk_7617740` FOREIGN KEY (`deployment_application_id`) REFERENCES `deployment_applications` (`id`) ON DELETE CASCADE,
  CONSTRAINT `user_id_fk_81520231` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deployment_application_user`
--

LOCK TABLES `deployment_application_user` WRITE;
/*!40000 ALTER TABLE `deployment_application_user` DISABLE KEYS */;
INSERT INTO `deployment_application_user` VALUES (1,7),(1,5),(1,9),(2,22),(1,2),(1,23),(2,24),(5,25),(5,26),(5,27),(5,28),(5,29),(5,30),(5,31),(8,32),(5,33);
/*!40000 ALTER TABLE `deployment_application_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deployment_applications`
--

DROP TABLE IF EXISTS `deployment_applications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deployment_applications` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `status` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'pending',
  `deployment_opportunity_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `deployment_opp_fk_7800632` (`deployment_opportunity_id`),
  KEY `user_fk_67874659948826` (`user_id`),
  CONSTRAINT `deployment_opp_fk_7800632` FOREIGN KEY (`deployment_opportunity_id`) REFERENCES `deployment_opportunities` (`id`),
  CONSTRAINT `user_fk_67874659948826` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deployment_applications`
--

LOCK TABLES `deployment_applications` WRITE;
/*!40000 ALTER TABLE `deployment_applications` DISABLE KEYS */;
INSERT INTO `deployment_applications` VALUES (2,'Pending',1,2,'2023-08-15 05:04:42','2023-09-22 05:18:58',NULL),(3,'Approved',2,3,'2023-08-15 07:24:34','2023-09-06 17:10:18','2023-09-06 17:10:18'),(4,'Pending',3,3,'2023-08-15 07:58:58','2023-09-06 17:10:18','2023-09-06 17:10:18'),(5,'Approved',3,1,'2023-08-15 07:59:33','2023-09-06 09:26:02',NULL),(6,'pending',2,2,'2023-08-23 15:06:02','2023-09-06 17:10:18','2023-09-06 17:10:18'),(7,'Pending',1,1,'2023-09-02 21:51:54','2023-09-22 05:16:45',NULL),(8,'pending',3,2,'2023-09-03 17:19:47','2023-09-06 17:10:19','2023-09-06 17:10:19'),(9,'Approved',4,1,'2023-09-04 16:24:11','2023-09-27 08:40:55',NULL),(22,'Denied',4,2,'2023-09-06 17:01:01','2023-09-06 17:02:24',NULL),(23,'Pending',12,3,'2023-09-06 17:14:15','2023-09-06 17:14:15',NULL),(24,'Pending',12,3,'2023-09-06 17:41:52','2023-09-06 17:41:52',NULL),(25,'pending',12,5,'2023-09-10 13:40:42','2023-09-10 13:40:42',NULL),(26,'pending',3,5,'2023-09-11 03:14:12','2023-09-11 03:14:12',NULL),(27,'Approved',4,3,'2023-09-11 03:15:35','2023-09-11 03:15:35',NULL),(28,'pending',11,5,'2023-09-11 05:40:39','2023-09-11 05:40:39',NULL),(29,'Pending',4,3,'2023-09-11 05:41:40','2023-09-11 05:41:40',NULL),(30,'pending',2,5,'2023-09-11 10:29:18','2023-09-11 10:29:18',NULL),(31,'Pending',4,3,'2023-09-11 10:30:34','2023-09-11 10:30:34',NULL),(32,'Approved',4,8,'2023-09-12 09:31:28','2023-09-12 09:32:55',NULL),(33,'Approved',1,5,'2023-09-14 09:13:54','2023-09-22 05:17:37',NULL),(34,'pending',12,1,'2023-09-18 23:42:22','2023-09-18 23:42:22',NULL),(35,'pending',13,1,'2023-09-19 05:31:04','2023-09-19 05:31:04',NULL),(36,'Approved',15,5,'2023-09-19 08:11:19','2023-09-19 08:12:49',NULL),(37,'Approved',16,1,'2023-09-19 09:12:45','2023-09-19 09:13:57',NULL),(40,'Approved',27,1,'2023-09-26 08:26:15','2023-10-11 10:50:50','2023-10-11 10:50:50'),(41,'pending',27,5,'2023-09-27 03:54:12','2023-09-27 03:54:12',NULL),(42,'pending',20,10,'2023-09-27 08:22:30','2023-09-27 08:22:30',NULL),(43,'Approved',27,1,'2023-10-11 10:51:28','2023-10-11 10:52:54',NULL);
/*!40000 ALTER TABLE `deployment_applications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deployment_opportunities`
--

DROP TABLE IF EXISTS `deployment_opportunities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deployment_opportunities` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `posting_number` int DEFAULT NULL,
  `event_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deployer_position_title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `expected_deployment_start_date` date DEFAULT NULL,
  `actual_deployment_start_date` date DEFAULT NULL,
  `expected_deployment_end_date` date DEFAULT NULL,
  `actual_deployment_end_date` date DEFAULT NULL,
  `number_of_deployers` int DEFAULT NULL,
  `location_city` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `language_required` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `region_id` bigint unsigned DEFAULT NULL,
  `logistics_administrator_id` bigint unsigned DEFAULT NULL,
  `location_province_region_id` bigint unsigned DEFAULT NULL,
  `request_id` bigint unsigned DEFAULT NULL,
  `narrative` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `region_fk_7665807` (`region_id`),
  KEY `logistics_administrator_fk_7665814` (`logistics_administrator_id`),
  KEY `location_province_region_fk_7665829` (`location_province_region_id`),
  KEY `request_fk_7700644` (`request_id`),
  CONSTRAINT `location_province_region_fk_7665829` FOREIGN KEY (`location_province_region_id`) REFERENCES `regions` (`id`),
  CONSTRAINT `logistics_administrator_fk_7665814` FOREIGN KEY (`logistics_administrator_id`) REFERENCES `users` (`id`),
  CONSTRAINT `region_fk_7665807` FOREIGN KEY (`region_id`) REFERENCES `regions` (`id`),
  CONSTRAINT `request_fk_7700644` FOREIGN KEY (`request_id`) REFERENCES `request_databases` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deployment_opportunities`
--

LOCK TABLES `deployment_opportunities` WRITE;
/*!40000 ALTER TABLE `deployment_opportunities` DISABLE KEYS */;
INSERT INTO `deployment_opportunities` VALUES (1,486,'Griffin Coleman','Natus esse illo non necessitatibus eum neque autem omnis impedit nostrud laborum','1979-07-14','1984-06-26','1996-04-05','2001-01-24',749,'Non qui eveniet nemo mollitia atque qui omnis vel quo porro in dolorem nostrud deserunt inventore assumenda','Consequatur Distinc','2023-08-14 06:52:37','2023-09-11 10:26:26',NULL,NULL,1,4,1,'<p style=\"margin: 0px 0px 15px; padding: 0px; text-align: justify; font-family: \'Open Sans\', Arial, sans-serif; font-size: 14px; background-color: #ffffff;\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec vel est vehicula, aliquet augue ac, venenatis ipsum. Ut consequat feugiat ex vulputate eleifend. Duis sollicitudin elementum dolor, in luctus justo dictum quis. Integer vitae dolor non risus gravida sagittis id id ipsum. Ut ut rhoncus augue. Sed tempor hendrerit pharetra. Phasellus non tellus orci. Mauris est nisl, sollicitudin in interdum vel, finibus eget ante. Quisque euismod urna ligula, ut egestas nulla tempor sit amet. Vestibulum commodo metus eget vehicula maximus. Cras sit amet tortor eget nisi vestibulum consequat. Curabitur mauris lectus, cursus ut velit id, aliquet euismod massa.</p>\n<p style=\"margin: 0px 0px 15px; padding: 0px; text-align: justify; font-family: \'Open Sans\', Arial, sans-serif; font-size: 14px; background-color: #ffffff;\">Ut et finibus enim, in sollicitudin leo. Cras semper ullamcorper lorem vitae vulputate. Nulla euismod velit a lacus maximus convallis. Ut tristique magna tempor dictum vehicula. Pellentesque nunc lectus, consequat at odio nec, porta dignissim orci. Etiam condimentum condimentum lorem vel sollicitudin. Nulla dignissim pretium eleifend. Fusce molestie semper venenatis. Fusce dapibus ultricies tortor vitae lobortis. Praesent in ante at dui porta vulputate vel in lacus. Mauris convallis a arcu et laoreet. Praesent bibendum purus at scelerisque consectetur. Donec consequat ipsum mauris, quis feugiat metus dictum ac. Fusce mi eros, faucibus ac turpis at, ultricies interdum tortor.</p>'),(2,536,'Garrison Wolfe','Ex sunt aut non sed aut dolorum nostrum delectus Nam quaerat minim voluptas quia autem nesciunt quis ratione','2019-04-06','1978-01-03','1976-09-26','2015-05-16',840,'Numquam quia sequi iure nihil laboriosam quo in aut non voluptatibus dignissimos maxime consectetur doloremque necessitatibus dolores','Rem et lorem illo es','2023-08-14 06:53:07','2023-08-14 06:53:07',NULL,NULL,1,11,3,NULL),(3,775,'Arthur Booth 321','Quaerat qui doloribus velit et omnis eos sunt numquam sunt itaque','1994-01-30','2018-02-19','1999-08-19','1998-04-11',861,'Totam et elit aperiam quaerat hic facilis aute et anim in eligendi quidem impedit commodo anim','Sunt elit qui Nam l','2023-08-15 07:58:03','2023-08-15 07:58:03',NULL,NULL,3,16,1,NULL),(4,12,'Malaria In Mbandaka','java','2023-09-12','2023-09-15','2023-09-08','2023-09-29',33,'kla',NULL,'2023-09-04 09:09:05','2023-09-04 09:19:59',NULL,NULL,3,22,1,NULL),(11,NULL,'ggfgfg',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2023-09-04 18:05:55','2023-09-04 18:05:55',NULL,NULL,2,18,5,NULL),(12,12,'Test Request 123','manager','2023-09-07','2023-09-14','2023-09-15','2023-09-27',12,'Heut','cxvvcv','2023-09-06 17:13:31','2023-09-06 17:13:31',NULL,NULL,4,22,9,NULL),(13,441,'Ian Houston','Perferendis quae similique in porro voluptate repellendus Aliquip deleniti','2011-04-12','2009-05-14','1993-07-11','1987-10-07',530,'In aut voluptate dicta odit est est in quia consequatur dolor eos fugiat quam voluptate reiciendis et',NULL,'2023-09-15 15:25:08','2023-09-15 15:25:08',NULL,NULL,1,10,1,NULL),(14,810,'Petra Pitts','Ipsum voluptas sequi aut tempor totam est officia qui ut aut irure','1998-05-29','2022-07-18','1997-01-18','1993-01-22',411,'Aut maxime recusandae Velit alias explicabo Incididunt similique ad excepteur sit veniam sit dolore','<p>adasdas</p>','2023-09-16 11:58:47','2023-09-16 11:58:47',NULL,NULL,2,10,1,'<p>dsadds</p>'),(15,871,'Carissa Bennett','Quia soluta sit est impedit quis dolorem','1974-12-01','1998-12-09','2012-10-13','2020-08-16',910,'Elit aut sed est voluptas voluptate molestiae reiciendis quasi facere blanditiis facilis magna nostrum',NULL,'2023-09-16 12:11:08','2023-09-16 12:11:08',NULL,NULL,4,23,1,NULL),(16,409,'Kylynn Bender','Dolorum debitis eum aut eligendi unde ullamco in do libero voluptas ut atque ipsum aut nesciunt minima quos','2002-12-25','1986-02-20','1988-06-03','2015-03-23',436,'Enim aliquid alias eum voluptatem Voluptatem quas quo et commodo dolore irure porro molestias sit ducimus nisi explicabo',NULL,'2023-09-16 12:13:17','2023-09-16 12:13:17',NULL,NULL,2,1,3,NULL),(17,404,'Nevada Massey','Quo eos ad et sit quasi qui sit earum aperiam voluptatibus pariatur Do id officia dolores','1979-01-16','2009-05-21','1986-09-24','1984-10-13',101,'Molestiae quibusdam exercitationem aut quos sed laborum Magni esse quis',NULL,'2023-09-16 12:15:39','2023-09-16 12:15:39',NULL,NULL,8,18,5,NULL),(18,239,'Wyatt Tran','Esse ipsum veniam atque id voluptas expedita saepe voluptas enim veritatis qui ab','1979-06-10','1999-02-24','2023-03-04','2021-05-19',396,'Nesciunt voluptate consequatur Recusandae Est qui enim nulla proident aspernatur explicabo Quod accusantium voluptatibus quia id voluptas laborum aliquid',NULL,'2023-09-16 12:16:24','2023-09-16 12:16:24',NULL,NULL,6,2,1,NULL),(19,239,'Wyatt Tran','Esse ipsum veniam atque id voluptas expedita saepe voluptas enim veritatis qui ab','1979-06-10','1999-02-24','2023-03-04','2021-05-19',396,'Nesciunt voluptate consequatur Recusandae Est qui enim nulla proident aspernatur explicabo Quod accusantium voluptatibus quia id voluptas laborum aliquid',NULL,'2023-09-16 12:17:10','2023-09-16 12:17:10',NULL,NULL,6,2,1,NULL),(20,239,'Wyatt Tran','Esse ipsum veniam atque id voluptas expedita saepe voluptas enim veritatis qui ab','1979-06-10','1999-02-24','2023-03-04','2021-05-19',396,'Nesciunt voluptate consequatur Recusandae Est qui enim nulla proident aspernatur explicabo Quod accusantium voluptatibus quia id voluptas laborum aliquid',NULL,'2023-09-16 12:17:40','2023-09-16 12:17:40',NULL,NULL,6,2,1,NULL),(21,239,'Wyatt Tran','Esse ipsum veniam atque id voluptas expedita saepe voluptas enim veritatis qui ab','1979-06-10','1999-02-24','2023-03-04','2021-05-19',396,'Nesciunt voluptate consequatur Recusandae Est qui enim nulla proident aspernatur explicabo Quod accusantium voluptatibus quia id voluptas laborum aliquid',NULL,'2023-09-16 12:17:57','2023-09-16 12:17:57',NULL,NULL,6,2,1,NULL),(22,239,'Wyatt Tran','Esse ipsum veniam atque id voluptas expedita saepe voluptas enim veritatis qui ab','1979-06-10','1999-02-24','2023-03-04','2021-05-19',396,'Nesciunt voluptate consequatur Recusandae Est qui enim nulla proident aspernatur explicabo Quod accusantium voluptatibus quia id voluptas laborum aliquid',NULL,'2023-09-16 12:19:46','2023-09-16 12:19:46',NULL,NULL,6,2,1,NULL),(23,563,'Hedda Rivas 2023','Voluptas sit rerum illo ab deserunt minima alias','2018-08-16','1984-06-28','1992-09-24','2009-09-08',136,'Incidunt sed iure labore sint suscipit sunt voluptatem itaque aut sed nesciunt sed',NULL,'2023-09-19 05:36:57','2023-09-19 05:36:57',NULL,NULL,7,19,9,NULL),(27,536,'Response to malaria in Finland','Officia earum aut aut aperiam nostrud alias illo Nam','2018-11-27','2016-09-18','2013-09-03','2010-03-26',572,'Accusamus debitis consectetur officiis nemo sunt',NULL,'2023-09-26 04:06:08','2023-09-26 04:06:08',NULL,NULL,5,22,10,NULL);
/*!40000 ALTER TABLE `deployment_opportunities` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deployment_opportunity_deployment_role`
--

DROP TABLE IF EXISTS `deployment_opportunity_deployment_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deployment_opportunity_deployment_role` (
  `deployment_opportunity_id` bigint unsigned NOT NULL,
  `deployment_role_id` bigint unsigned NOT NULL,
  KEY `deployment_opportunity_id_fk_766410423` (`deployment_opportunity_id`),
  KEY `deployment_role_id_fk_766010423` (`deployment_role_id`),
  CONSTRAINT `deployment_opportunity_id_fk_766410423` FOREIGN KEY (`deployment_opportunity_id`) REFERENCES `deployment_opportunities` (`id`) ON DELETE CASCADE,
  CONSTRAINT `deployment_role_id_fk_766010423` FOREIGN KEY (`deployment_role_id`) REFERENCES `deployment_roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deployment_opportunity_deployment_role`
--

LOCK TABLES `deployment_opportunity_deployment_role` WRITE;
/*!40000 ALTER TABLE `deployment_opportunity_deployment_role` DISABLE KEYS */;
INSERT INTO `deployment_opportunity_deployment_role` VALUES (27,4),(27,2);
/*!40000 ALTER TABLE `deployment_opportunity_deployment_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deployment_opportunity_user_data`
--

DROP TABLE IF EXISTS `deployment_opportunity_user_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deployment_opportunity_user_data` (
  `deployment_opportunity_id` bigint unsigned NOT NULL,
  `user_data_id` bigint unsigned NOT NULL,
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `status` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Pending',
  `user_response` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'no',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `deployment_opportunity_id_fk_76642319` (`deployment_opportunity_id`),
  KEY `user_data_id_fk_766421339` (`user_data_id`),
  CONSTRAINT `deployment_opportunity_id_fk_76642319` FOREIGN KEY (`deployment_opportunity_id`) REFERENCES `deployment_opportunities` (`id`) ON DELETE CASCADE,
  CONSTRAINT `user_data_id_fk_766421339` FOREIGN KEY (`user_data_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deployment_opportunity_user_data`
--

LOCK TABLES `deployment_opportunity_user_data` WRITE;
/*!40000 ALTER TABLE `deployment_opportunity_user_data` DISABLE KEYS */;
INSERT INTO `deployment_opportunity_user_data` VALUES (18,3,6,'Pending','no',NULL,NULL,NULL),(12,4,8,'Pending','Yes','2023-09-17 05:28:02','2023-09-17 05:32:10',NULL),(1,7,9,'Approved','no','2023-09-17 05:39:11','2023-09-21 07:16:39',NULL),(11,6,12,'Pending','no','2023-09-19 00:06:14','2023-09-19 00:06:14',NULL),(11,8,31,'Pending','no','2023-09-19 06:11:49','2023-09-19 06:11:49',NULL),(1,5,40,'pending','Yes','2023-09-19 08:02:58','2023-09-21 11:46:37',NULL),(16,9,42,'Pending','no','2023-09-21 06:47:37','2023-09-21 06:47:37',NULL),(27,2,43,'Approved','no','2023-10-05 07:21:21','2023-10-05 07:22:40',NULL),(12,10,45,'Pending','no','2023-10-16 07:51:35','2023-10-16 07:51:35',NULL),(14,1,46,'Pending','no','2023-10-16 07:54:46','2023-10-16 07:54:46',NULL);
/*!40000 ALTER TABLE `deployment_opportunity_user_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deployment_roles`
--

DROP TABLE IF EXISTS `deployment_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deployment_roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deployment_roles`
--

LOCK TABLES `deployment_roles` WRITE;
/*!40000 ALTER TABLE `deployment_roles` DISABLE KEYS */;
INSERT INTO `deployment_roles` VALUES (1,'Lead Epidemiologist','2023-09-05 16:02:11','2023-09-05 16:02:45'),(2,'Epidemiologist','2023-09-05 16:02:33','2023-09-05 16:02:33'),(3,'Technical Advisor','2023-09-05 16:03:06','2023-09-05 16:03:06'),(4,'Data Manager','2023-09-06 09:33:14','2023-09-06 09:33:14');
/*!40000 ALTER TABLE `deployment_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `deployments`
--

DROP TABLE IF EXISTS `deployments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `deployments` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deployment_diesease_id` bigint unsigned DEFAULT NULL,
  `deployment_role_id` bigint unsigned DEFAULT NULL,
  `deployment_country_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `date_started` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_completed` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country_id` bigint unsigned DEFAULT NULL,
  `state_id` bigint unsigned DEFAULT NULL,
  `deployment_type` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `disease_emerg_fk_770063231` (`deployment_diesease_id`),
  KEY `dep_role_fk_770063621` (`deployment_role_id`),
  KEY `country_fk_770063921` (`deployment_country_id`),
  KEY `user_fk_7735921` (`user_id`),
  KEY `country_fk_7700518` (`country_id`),
  KEY `state_fk_7700519` (`state_id`),
  CONSTRAINT `country_fk_7700518` FOREIGN KEY (`country_id`) REFERENCES `countries` (`id`),
  CONSTRAINT `country_fk_770063921` FOREIGN KEY (`deployment_country_id`) REFERENCES `countries` (`id`),
  CONSTRAINT `dep_role_fk_770063621` FOREIGN KEY (`deployment_role_id`) REFERENCES `deployment_roles` (`id`),
  CONSTRAINT `disease_emerg_fk_770063231` FOREIGN KEY (`deployment_diesease_id`) REFERENCES `disease_emergencies` (`id`),
  CONSTRAINT `state_fk_7700519` FOREIGN KEY (`state_id`) REFERENCES `states` (`id`),
  CONSTRAINT `user_fk_7735921` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `deployments`
--

LOCK TABLES `deployments` WRITE;
/*!40000 ALTER TABLE `deployments` DISABLE KEYS */;
INSERT INTO `deployments` VALUES (1,'Deployment in Gaza','2023-09-05 16:23:16','2023-09-19 03:41:46',22,1,5,3,'2023-09-12','2023-09-23',NULL,1,'international'),(2,'Cholera in Mbandaka','2023-09-05 16:27:51','2023-09-06 03:13:50',17,1,3,3,NULL,NULL,NULL,NULL,NULL),(3,'Influenza in kampla','2023-09-05 16:31:07','2023-09-05 16:31:07',NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,NULL),(4,'Zika in Uganda','2023-09-06 03:27:44','2023-09-06 03:27:44',NULL,NULL,NULL,2,NULL,NULL,NULL,NULL,NULL),(5,'Malaria in Sudan','2023-09-06 03:29:39','2023-09-06 03:29:39',20,NULL,4,2,NULL,NULL,NULL,NULL,NULL),(6,'ssss','2023-09-06 03:53:11','2023-09-06 03:53:11',19,NULL,3,3,NULL,NULL,NULL,NULL,NULL),(7,'ssssss','2023-09-06 03:53:52','2023-09-06 03:53:52',19,2,2,3,NULL,NULL,NULL,NULL,NULL),(8,'	Cholera','2023-09-10 15:02:29','2023-09-11 10:07:11',22,2,4,1,'2023-09-20','2023-09-19',NULL,6,'international');
/*!40000 ALTER TABLE `deployments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `disease_emergencies`
--

DROP TABLE IF EXISTS `disease_emergencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `disease_emergencies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `disease_emergencies_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `disease_emergencies`
--

LOCK TABLES `disease_emergencies` WRITE;
/*!40000 ALTER TABLE `disease_emergencies` DISABLE KEYS */;
INSERT INTO `disease_emergencies` VALUES (1,'	Cholera','2023-08-06 09:12:11','2023-08-06 09:13:39','2023-08-06 09:13:39'),(2,'Yellow fever','2023-08-06 09:12:19','2023-08-06 09:13:39','2023-08-06 09:13:39'),(3,'	Rage','2023-08-06 09:12:24','2023-08-06 09:13:39','2023-08-06 09:13:39'),(4,'Ebola','2023-08-06 09:12:29','2023-08-06 09:13:39','2023-08-06 09:13:39'),(5,'Meningitis','2023-08-06 09:12:33','2023-08-06 09:13:39','2023-08-06 09:13:39'),(6,'Hepatitis B','2023-08-06 09:12:37','2023-08-06 09:13:39','2023-08-06 09:13:39'),(7,'	Hepatitis A','2023-08-06 09:12:42','2023-08-06 09:13:39','2023-08-06 09:13:39'),(8,'	Complex Emergency','2023-08-06 09:14:06','2023-08-06 09:14:06',NULL),(9,'Forest fire risk','2023-08-06 09:14:10','2023-08-06 09:14:10',NULL),(10,'	Volcanic activity','2023-08-06 09:14:14','2023-08-06 09:14:14',NULL),(11,'	Landslides','2023-08-06 09:14:18','2023-08-06 09:14:18',NULL),(12,'Flooding','2023-08-06 09:14:21','2023-08-06 09:14:21',NULL),(13,'Earthquake','2023-08-06 09:14:28','2023-08-06 09:14:28',NULL),(14,'Drought','2023-08-06 09:14:33','2023-08-06 09:14:33',NULL),(15,'Zika','2023-08-06 09:14:37','2023-08-06 09:14:37',NULL),(16,'	Rift Valley Fever','2023-08-06 09:14:48','2023-08-06 09:14:48',NULL),(17,'Monkeypox','2023-08-06 09:14:53','2023-08-06 09:14:53',NULL),(18,'Polio','2023-08-06 09:14:57','2023-08-06 09:14:57',NULL),(19,'	Fish','2023-08-06 09:15:00','2023-08-06 09:15:00',NULL),(20,'	Meningitis','2023-08-06 09:15:04','2023-08-06 09:15:04',NULL),(21,'	Measles','2023-08-06 09:15:07','2023-08-06 09:15:07',NULL),(22,'	Influenza','2023-08-06 09:15:14','2023-08-06 09:15:14',NULL),(23,'MV Ebola','2023-08-06 09:15:18','2023-08-06 09:15:18',NULL),(24,'Cholera','2023-08-06 09:15:21','2023-08-06 09:15:21',NULL),(25,'COVID-19','2023-08-06 09:15:26','2023-08-06 09:15:26',NULL),(26,'test','2023-09-12 09:26:21','2023-09-12 09:27:08','2023-09-12 09:27:08');
/*!40000 ALTER TABLE `disease_emergencies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `disease_emergency_emergency_response`
--

DROP TABLE IF EXISTS `disease_emergency_emergency_response`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `disease_emergency_emergency_response` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `disease_emergency_id` bigint unsigned NOT NULL,
  `emergency_response_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `disease_emergency_id_fk_81520231` (`disease_emergency_id`),
  KEY `emergency_response_id_fk_7617740` (`emergency_response_id`),
  CONSTRAINT `disease_emergency_id_fk_81520231` FOREIGN KEY (`disease_emergency_id`) REFERENCES `disease_emergencies` (`id`) ON DELETE CASCADE,
  CONSTRAINT `emergency_response_id_fk_7617740` FOREIGN KEY (`emergency_response_id`) REFERENCES `emergency_responses` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `disease_emergency_emergency_response`
--

LOCK TABLES `disease_emergency_emergency_response` WRITE;
/*!40000 ALTER TABLE `disease_emergency_emergency_response` DISABLE KEYS */;
INSERT INTO `disease_emergency_emergency_response` VALUES (1,19,1,'2023-09-11 16:02:30','2023-09-11 16:02:30'),(2,22,1,'2023-09-11 16:02:30','2023-09-11 16:02:30'),(3,21,1,'2023-09-11 16:02:31','2023-09-11 16:02:31'),(4,10,1,'2023-09-11 16:02:31','2023-09-11 16:02:31'),(5,17,1,'2023-09-12 09:17:37','2023-09-12 09:17:37');
/*!40000 ALTER TABLE `disease_emergency_emergency_response` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emergency_logistics`
--

DROP TABLE IF EXISTS `emergency_logistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `emergency_logistics` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `shipping_and_receiving_id` bigint unsigned DEFAULT NULL,
  `sample_packaging_id` bigint unsigned DEFAULT NULL,
  `inventory_management_id` bigint unsigned DEFAULT NULL,
  `travel_coordinator_id` bigint unsigned DEFAULT NULL,
  `fleet_management_id` bigint unsigned DEFAULT NULL,
  `moving_resources_to_the_field_id` bigint unsigned DEFAULT NULL,
  `deployer_training_resources_id` bigint unsigned DEFAULT NULL,
  `eoc_logistics_emergency_operations_center_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `shipping_and_receiving_fk_7662568` (`shipping_and_receiving_id`),
  KEY `sample_packaging_fk_7662569` (`sample_packaging_id`),
  KEY `inventory_management_fk_7662570` (`inventory_management_id`),
  KEY `travel_coordinator_fk_7662571` (`travel_coordinator_id`),
  KEY `fleet_management_fk_7662572` (`fleet_management_id`),
  KEY `moving_resources_to_the_field_fk_7662573` (`moving_resources_to_the_field_id`),
  KEY `deployer_training_resources_fk_7662574` (`deployer_training_resources_id`),
  KEY `eoc_logistics_emergency_operations_center_fk_7662575` (`eoc_logistics_emergency_operations_center_id`),
  KEY `user_fk_7664208` (`user_id`),
  CONSTRAINT `deployer_training_resources_fk_7662574` FOREIGN KEY (`deployer_training_resources_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `eoc_logistics_emergency_operations_center_fk_7662575` FOREIGN KEY (`eoc_logistics_emergency_operations_center_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `fleet_management_fk_7662572` FOREIGN KEY (`fleet_management_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `inventory_management_fk_7662570` FOREIGN KEY (`inventory_management_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `moving_resources_to_the_field_fk_7662573` FOREIGN KEY (`moving_resources_to_the_field_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `sample_packaging_fk_7662569` FOREIGN KEY (`sample_packaging_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `shipping_and_receiving_fk_7662568` FOREIGN KEY (`shipping_and_receiving_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `travel_coordinator_fk_7662571` FOREIGN KEY (`travel_coordinator_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_7664208` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `emergency_logistics`
--

LOCK TABLES `emergency_logistics` WRITE;
/*!40000 ALTER TABLE `emergency_logistics` DISABLE KEYS */;
INSERT INTO `emergency_logistics` VALUES (1,'2023-08-29 13:04:46','2023-08-29 13:04:46',NULL,4,3,1,5,2,5,5,1,3),(2,'2023-09-03 16:25:59','2023-09-03 16:25:59',NULL,1,5,1,5,1,1,5,4,1);
/*!40000 ALTER TABLE `emergency_logistics` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `emergency_responses`
--

DROP TABLE IF EXISTS `emergency_responses`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `emergency_responses` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `domestic_emergency_response_id` bigint unsigned DEFAULT NULL,
  `cross_sectoral_id` bigint unsigned DEFAULT NULL,
  `response_to_international_emergencies_id` bigint unsigned DEFAULT NULL,
  `eoc_ims_id` bigint unsigned DEFAULT NULL,
  `vaccination_campaigns_id` bigint unsigned DEFAULT NULL,
  `emergency_leadership_role_id` bigint unsigned DEFAULT NULL,
  `multi_sectoral_emergency_response_plans_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `domestic_emergency_response_fk_7700217` (`domestic_emergency_response_id`),
  KEY `cross_sectoral_fk_7700218` (`cross_sectoral_id`),
  KEY `response_to_international_emergencies_fk_7700219` (`response_to_international_emergencies_id`),
  KEY `eoc_ims_fk_7700220` (`eoc_ims_id`),
  KEY `vaccination_campaigns_fk_7700221` (`vaccination_campaigns_id`),
  KEY `emergency_leadership_role_fk_7700222` (`emergency_leadership_role_id`),
  KEY `multi_sectoral_emergency_response_plans_fk_7700223` (`multi_sectoral_emergency_response_plans_id`),
  KEY `user_fk_79659948824` (`user_id`),
  CONSTRAINT `cross_sectoral_fk_7700218` FOREIGN KEY (`cross_sectoral_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `domestic_emergency_response_fk_7700217` FOREIGN KEY (`domestic_emergency_response_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `emergency_leadership_role_fk_7700222` FOREIGN KEY (`emergency_leadership_role_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `eoc_ims_fk_7700220` FOREIGN KEY (`eoc_ims_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `multi_sectoral_emergency_response_plans_fk_7700223` FOREIGN KEY (`multi_sectoral_emergency_response_plans_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `response_to_international_emergencies_fk_7700219` FOREIGN KEY (`response_to_international_emergencies_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_79659948824` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`),
  CONSTRAINT `vaccination_campaigns_fk_7700221` FOREIGN KEY (`vaccination_campaigns_id`) REFERENCES `training_levels` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `emergency_responses`
--

LOCK TABLES `emergency_responses` WRITE;
/*!40000 ALTER TABLE `emergency_responses` DISABLE KEYS */;
INSERT INTO `emergency_responses` VALUES (1,'2023-08-08 03:27:36','2023-08-08 03:27:36',NULL,1,4,1,1,3,5,1,1);
/*!40000 ALTER TABLE `emergency_responses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `evaluations`
--

DROP TABLE IF EXISTS `evaluations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `evaluations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `date_of_deployment` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `region_id` bigint unsigned NOT NULL,
  `main_task` longtext COLLATE utf8mb4_unicode_ci,
  `Positive_aspects` longtext COLLATE utf8mb4_unicode_ci,
  `challenging_aspects` longtext COLLATE utf8mb4_unicode_ci,
  `wellbeing_concerns` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `other_wellbeing_aspects` longtext COLLATE utf8mb4_unicode_ci,
  `injuries_illness` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `describe_illness` longtext COLLATE utf8mb4_unicode_ci,
  `adequate_support` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `issue_resolved` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `if_not_resolved_provide_details` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `grade_rrt_support` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason_grade_rrt_support` longtext COLLATE utf8mb4_unicode_ci,
  `adequate_training` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason_adequate_training` longtext COLLATE utf8mb4_unicode_ci,
  `adequate_logistics` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason_reason_adequate_logistics` longtext COLLATE utf8mb4_unicode_ci,
  `support_national_response` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason_support_national_response` longtext COLLATE utf8mb4_unicode_ci,
  `support_local_intervention` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason_support_local_intervention` longtext COLLATE utf8mb4_unicode_ci,
  `ready_to_deploy_again` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason_ready_to_deploy_again` longtext COLLATE utf8mb4_unicode_ci,
  `changes_to_future_deploys` longtext COLLATE utf8mb4_unicode_ci,
  `additional_comments` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deployment_opportunity_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_fk_234664209` (`user_id`),
  KEY `region_id_fk_81520244` (`region_id`),
  KEY `deployment_opp_fk_7832632` (`deployment_opportunity_id`),
  CONSTRAINT `deployment_opp_fk_7832632` FOREIGN KEY (`deployment_opportunity_id`) REFERENCES `deployment_opportunities` (`id`),
  CONSTRAINT `region_id_fk_81520244` FOREIGN KEY (`region_id`) REFERENCES `regions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `user_fk_234664209` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `evaluations`
--

LOCK TABLES `evaluations` WRITE;
/*!40000 ALTER TABLE `evaluations` DISABLE KEYS */;
INSERT INTO `evaluations` VALUES (2,'2010-09-05',1,8,'<p>asdas</p>','<p>s</p>','<p>asasa</p>','yes','<p>asaas</p>','no','<p>asasas</p>','yes','no','Rerum ab aut quas ad impedit exercitationem','favorable ','<p>asasas</p>','no','<p>asasas</p>','yes','<p>asasasa</p>','Very useful','<p>asasas</p>','not useful','<p>asas</p>','no','<p>asasas</p>','<p>asasa</p>','<p>asasas</p>','2023-09-12 02:58:01','2023-09-12 02:58:01',4);
/*!40000 ALTER TABLE `evaluations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `experience_in_epidemiologies`
--

DROP TABLE IF EXISTS `experience_in_epidemiologies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `experience_in_epidemiologies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `rapid_risk_assessments_id` bigint unsigned DEFAULT NULL,
  `monitoring_system_id` bigint unsigned DEFAULT NULL,
  `epidemic_survey_id` bigint unsigned DEFAULT NULL,
  `determination_of_disease_status_id` bigint unsigned DEFAULT NULL,
  `contact_tracing_id` bigint unsigned DEFAULT NULL,
  `case_management_id` bigint unsigned DEFAULT NULL,
  `epidemiological_studies_id` bigint unsigned DEFAULT NULL,
  `study_protocols_id` bigint unsigned DEFAULT NULL,
  `data_collection_tools_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `rapid_risk_assessments_fk_7663365` (`rapid_risk_assessments_id`),
  KEY `monitoring_system_fk_7663366` (`monitoring_system_id`),
  KEY `epidemic_survey_fk_7663367` (`epidemic_survey_id`),
  KEY `determination_of_disease_status_fk_7663368` (`determination_of_disease_status_id`),
  KEY `contact_tracing_fk_7663369` (`contact_tracing_id`),
  KEY `case_management_fk_7663370` (`case_management_id`),
  KEY `epidemiological_studies_fk_7663371` (`epidemiological_studies_id`),
  KEY `study_protocols_fk_7663372` (`study_protocols_id`),
  KEY `data_collection_tools_fk_7663373` (`data_collection_tools_id`),
  KEY `user_fk_7664210` (`user_id`),
  CONSTRAINT `case_management_fk_7663370` FOREIGN KEY (`case_management_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `contact_tracing_fk_7663369` FOREIGN KEY (`contact_tracing_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `data_collection_tools_fk_7663373` FOREIGN KEY (`data_collection_tools_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `determination_of_disease_status_fk_7663368` FOREIGN KEY (`determination_of_disease_status_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `epidemic_survey_fk_7663367` FOREIGN KEY (`epidemic_survey_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `epidemiological_studies_fk_7663371` FOREIGN KEY (`epidemiological_studies_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `monitoring_system_fk_7663366` FOREIGN KEY (`monitoring_system_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `rapid_risk_assessments_fk_7663365` FOREIGN KEY (`rapid_risk_assessments_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `study_protocols_fk_7663372` FOREIGN KEY (`study_protocols_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_7664210` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `experience_in_epidemiologies`
--

LOCK TABLES `experience_in_epidemiologies` WRITE;
/*!40000 ALTER TABLE `experience_in_epidemiologies` DISABLE KEYS */;
INSERT INTO `experience_in_epidemiologies` VALUES (1,'2023-08-08 03:37:33','2023-08-08 03:37:33',NULL,1,1,5,3,2,1,3,2,2,1),(2,'2023-09-12 09:12:02','2023-09-12 09:12:02',NULL,1,5,3,3,4,5,5,5,NULL,3);
/*!40000 ALTER TABLE `experience_in_epidemiologies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hazardous_materials_experiences`
--

DROP TABLE IF EXISTS `hazardous_materials_experiences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `hazardous_materials_experiences` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `certified_hazardous_materials_manager_chmm_id` bigint unsigned DEFAULT NULL,
  `certified_industrial_hygienist_cih_id` bigint unsigned DEFAULT NULL,
  `hazmat_specialist_training_id` bigint unsigned DEFAULT NULL,
  `record_keeping_id` bigint unsigned DEFAULT NULL,
  `hazardous_materials_management_y_n_program_id` bigint unsigned DEFAULT NULL,
  `medical_waste_plans_id` bigint unsigned DEFAULT NULL,
  `spill_response_plans_id` bigint unsigned DEFAULT NULL,
  `hazardous_waste_reduction_plans_id` bigint unsigned DEFAULT NULL,
  `hazardous_waste_contingency_plans_id` bigint unsigned DEFAULT NULL,
  `stormwater_y_n_plans_id` bigint unsigned DEFAULT NULL,
  `occupational_health_and_safety_y_n_programs_id` bigint unsigned DEFAULT NULL,
  `radiation_protection_plan_id` bigint unsigned DEFAULT NULL,
  `collection_hazardous_waste_id` bigint unsigned DEFAULT NULL,
  `training_others_on_hazardous_waste_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `certified_hazardous_materials_manager_chmm_fk_7700486` (`certified_hazardous_materials_manager_chmm_id`),
  KEY `certified_industrial_hygienist_cih_fk_7700487` (`certified_industrial_hygienist_cih_id`),
  KEY `hazmat_specialist_training_fk_7700488` (`hazmat_specialist_training_id`),
  KEY `record_keeping_fk_7700489` (`record_keeping_id`),
  KEY `hazardous_materials_management_y_n_program_fk_7700490` (`hazardous_materials_management_y_n_program_id`),
  KEY `medical_waste_plans_fk_7700491` (`medical_waste_plans_id`),
  KEY `spill_response_plans_fk_7700492` (`spill_response_plans_id`),
  KEY `hazardous_waste_reduction_plans_fk_7700493` (`hazardous_waste_reduction_plans_id`),
  KEY `hazardous_waste_contingency_plans_fk_7700494` (`hazardous_waste_contingency_plans_id`),
  KEY `stormwater_y_n_plans_fk_7700495` (`stormwater_y_n_plans_id`),
  KEY `occupational_health_and_safety_y_n_programs_fk_7700496` (`occupational_health_and_safety_y_n_programs_id`),
  KEY `radiation_protection_plan_fk_7700497` (`radiation_protection_plan_id`),
  KEY `collection_hazardous_waste_fk_7700498` (`collection_hazardous_waste_id`),
  KEY `training_others_on_hazardous_waste_fk_7700499` (`training_others_on_hazardous_waste_id`),
  KEY `user_fk_74659948826` (`user_id`),
  CONSTRAINT `certified_hazardous_materials_manager_chmm_fk_7700486` FOREIGN KEY (`certified_hazardous_materials_manager_chmm_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `certified_industrial_hygienist_cih_fk_7700487` FOREIGN KEY (`certified_industrial_hygienist_cih_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `collection_hazardous_waste_fk_7700498` FOREIGN KEY (`collection_hazardous_waste_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `hazardous_materials_management_y_n_program_fk_7700490` FOREIGN KEY (`hazardous_materials_management_y_n_program_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `hazardous_waste_contingency_plans_fk_7700494` FOREIGN KEY (`hazardous_waste_contingency_plans_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `hazardous_waste_reduction_plans_fk_7700493` FOREIGN KEY (`hazardous_waste_reduction_plans_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `hazmat_specialist_training_fk_7700488` FOREIGN KEY (`hazmat_specialist_training_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `medical_waste_plans_fk_7700491` FOREIGN KEY (`medical_waste_plans_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `occupational_health_and_safety_y_n_programs_fk_7700496` FOREIGN KEY (`occupational_health_and_safety_y_n_programs_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `radiation_protection_plan_fk_7700497` FOREIGN KEY (`radiation_protection_plan_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `record_keeping_fk_7700489` FOREIGN KEY (`record_keeping_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `spill_response_plans_fk_7700492` FOREIGN KEY (`spill_response_plans_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `stormwater_y_n_plans_fk_7700495` FOREIGN KEY (`stormwater_y_n_plans_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `training_others_on_hazardous_waste_fk_7700499` FOREIGN KEY (`training_others_on_hazardous_waste_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_74659948826` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hazardous_materials_experiences`
--

LOCK TABLES `hazardous_materials_experiences` WRITE;
/*!40000 ALTER TABLE `hazardous_materials_experiences` DISABLE KEYS */;
INSERT INTO `hazardous_materials_experiences` VALUES (1,'2023-08-08 03:44:20','2023-08-08 03:44:20',NULL,1,2,2,4,2,4,4,4,2,5,3,5,3,2,1),(2,'2023-08-08 03:45:34','2023-08-08 03:45:34',NULL,2,5,3,2,2,3,3,1,5,5,2,4,3,1,2);
/*!40000 ALTER TABLE `hazardous_materials_experiences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `infection_prevent_controls`
--

DROP TABLE IF EXISTS `infection_prevent_controls`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `infection_prevent_controls` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `in_healthcare_settings_id` bigint unsigned DEFAULT NULL,
  `in_a_non_medical_id` bigint unsigned DEFAULT NULL,
  `outbreak_investigations_id` bigint unsigned DEFAULT NULL,
  `facility_assessments_id` bigint unsigned DEFAULT NULL,
  `developing_infection_prevention_id` bigint unsigned DEFAULT NULL,
  `infection_prevention_and_control_id` bigint unsigned DEFAULT NULL,
  `quality_improvement_id` bigint unsigned DEFAULT NULL,
  `ppe_id` bigint unsigned DEFAULT NULL,
  `point_of_entry_border_health_id` bigint unsigned DEFAULT NULL,
  `poc_non_border_id` bigint unsigned DEFAULT NULL,
  `rsi_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `in_healthcare_settings_fk_7700166` (`in_healthcare_settings_id`),
  KEY `in_a_non_medical_fk_7700167` (`in_a_non_medical_id`),
  KEY `outbreak_investigations_fk_7700168` (`outbreak_investigations_id`),
  KEY `facility_assessments_fk_7700169` (`facility_assessments_id`),
  KEY `developing_infection_prevention_fk_7700170` (`developing_infection_prevention_id`),
  KEY `infection_prevention_and_control_fk_7700171` (`infection_prevention_and_control_id`),
  KEY `quality_improvement_fk_7700172` (`quality_improvement_id`),
  KEY `ppe_fk_7700173` (`ppe_id`),
  KEY `point_of_entry_border_health_fk_7700174` (`point_of_entry_border_health_id`),
  KEY `poc_non_border_fk_7700175` (`poc_non_border_id`),
  KEY `rsi_fk_7700176` (`rsi_id`),
  KEY `user_fk_77659948823` (`user_id`),
  CONSTRAINT `developing_infection_prevention_fk_7700170` FOREIGN KEY (`developing_infection_prevention_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `facility_assessments_fk_7700169` FOREIGN KEY (`facility_assessments_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `in_a_non_medical_fk_7700167` FOREIGN KEY (`in_a_non_medical_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `in_healthcare_settings_fk_7700166` FOREIGN KEY (`in_healthcare_settings_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `infection_prevention_and_control_fk_7700171` FOREIGN KEY (`infection_prevention_and_control_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `outbreak_investigations_fk_7700168` FOREIGN KEY (`outbreak_investigations_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `poc_non_border_fk_7700175` FOREIGN KEY (`poc_non_border_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `point_of_entry_border_health_fk_7700174` FOREIGN KEY (`point_of_entry_border_health_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `ppe_fk_7700173` FOREIGN KEY (`ppe_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `quality_improvement_fk_7700172` FOREIGN KEY (`quality_improvement_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `rsi_fk_7700176` FOREIGN KEY (`rsi_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_77659948823` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `infection_prevent_controls`
--

LOCK TABLES `infection_prevent_controls` WRITE;
/*!40000 ALTER TABLE `infection_prevent_controls` DISABLE KEYS */;
INSERT INTO `infection_prevent_controls` VALUES (1,'2023-08-08 03:48:07','2023-08-08 03:48:07',NULL,5,3,1,3,4,2,3,1,5,3,4,2),(2,'2023-09-03 16:30:53','2023-09-03 16:30:53',NULL,3,4,1,5,5,5,5,5,1,1,3,1);
/*!40000 ALTER TABLE `infection_prevent_controls` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `laboratory_experience_test_type`
--

DROP TABLE IF EXISTS `laboratory_experience_test_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `laboratory_experience_test_type` (
  `laboratory_experience_id` bigint unsigned DEFAULT NULL,
  `test_type_id` bigint unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `laboratory_experience_test_type`
--

LOCK TABLES `laboratory_experience_test_type` WRITE;
/*!40000 ALTER TABLE `laboratory_experience_test_type` DISABLE KEYS */;
INSERT INTO `laboratory_experience_test_type` VALUES (2,3),(2,2);
/*!40000 ALTER TABLE `laboratory_experience_test_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `laboratory_experiences`
--

DROP TABLE IF EXISTS `laboratory_experiences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `laboratory_experiences` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `biosafety_experience_id` bigint unsigned DEFAULT NULL,
  `laboratory_quality_management_id` bigint unsigned DEFAULT NULL,
  `sample_reception_and_acquisition_id` bigint unsigned DEFAULT NULL,
  `sample_transport_id` bigint unsigned DEFAULT NULL,
  `antimicrobial_id` bigint unsigned DEFAULT NULL,
  `parasitology_id` bigint unsigned DEFAULT NULL,
  `mycology_id` bigint unsigned DEFAULT NULL,
  `clinical_chemistry_id` bigint unsigned DEFAULT NULL,
  `blood_bank_id` bigint unsigned DEFAULT NULL,
  `molecular_methods_id` bigint unsigned DEFAULT NULL,
  `advanced_molecular_detection_dma_id` bigint unsigned DEFAULT NULL,
  `viral_culture_id` bigint unsigned DEFAULT NULL,
  `serology_id` bigint unsigned DEFAULT NULL,
  `bsl_3_id` bigint unsigned DEFAULT NULL,
  `bacterial_culture_id` bigint unsigned DEFAULT NULL,
  `phlebotomy_venipuncture_id` bigint unsigned DEFAULT NULL,
  `laboratory_training_instructor_id` bigint unsigned DEFAULT NULL,
  `laboratory_supervisor_experience_id` bigint unsigned DEFAULT NULL,
  `laboratory_field_intervention_coordinator_id` bigint unsigned DEFAULT NULL,
  `test_type_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_fk_7665994` (`user_id`),
  KEY `biosafety_experience_fk_7665995` (`biosafety_experience_id`),
  KEY `laboratory_quality_management_fk_7665996` (`laboratory_quality_management_id`),
  KEY `sample_reception_and_acquisition_fk_7665997` (`sample_reception_and_acquisition_id`),
  KEY `sample_transport_fk_7665998` (`sample_transport_id`),
  KEY `antimicrobial_fk_7665999` (`antimicrobial_id`),
  KEY `parasitology_fk_7666000` (`parasitology_id`),
  KEY `mycology_fk_7666001` (`mycology_id`),
  KEY `clinical_chemistry_fk_7666002` (`clinical_chemistry_id`),
  KEY `blood_bank_fk_7666003` (`blood_bank_id`),
  KEY `molecular_methods_fk_7666004` (`molecular_methods_id`),
  KEY `advanced_molecular_detection_dma_fk_7666005` (`advanced_molecular_detection_dma_id`),
  KEY `viral_culture_fk_7666006` (`viral_culture_id`),
  KEY `serology_fk_7666007` (`serology_id`),
  KEY `bsl_3_fk_7666008` (`bsl_3_id`),
  KEY `bacterial_culture_fk_7666009` (`bacterial_culture_id`),
  KEY `phlebotomy_venipuncture_fk_7666010` (`phlebotomy_venipuncture_id`),
  KEY `laboratory_training_instructor_fk_7666011` (`laboratory_training_instructor_id`),
  KEY `laboratory_supervisor_experience_fk_7666012` (`laboratory_supervisor_experience_id`),
  KEY `laboratory_field_intervention_coordinator_fk_7666013` (`laboratory_field_intervention_coordinator_id`),
  KEY `test_type_id_fk_780063222` (`test_type_id`),
  CONSTRAINT `advanced_molecular_detection_dma_fk_7666005` FOREIGN KEY (`advanced_molecular_detection_dma_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `antimicrobial_fk_7665999` FOREIGN KEY (`antimicrobial_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `bacterial_culture_fk_7666009` FOREIGN KEY (`bacterial_culture_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `biosafety_experience_fk_7665995` FOREIGN KEY (`biosafety_experience_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `blood_bank_fk_7666003` FOREIGN KEY (`blood_bank_id`) REFERENCES `agency_roles` (`id`),
  CONSTRAINT `bsl_3_fk_7666008` FOREIGN KEY (`bsl_3_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `clinical_chemistry_fk_7666002` FOREIGN KEY (`clinical_chemistry_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `laboratory_field_intervention_coordinator_fk_7666013` FOREIGN KEY (`laboratory_field_intervention_coordinator_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `laboratory_quality_management_fk_7665996` FOREIGN KEY (`laboratory_quality_management_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `laboratory_supervisor_experience_fk_7666012` FOREIGN KEY (`laboratory_supervisor_experience_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `laboratory_training_instructor_fk_7666011` FOREIGN KEY (`laboratory_training_instructor_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `molecular_methods_fk_7666004` FOREIGN KEY (`molecular_methods_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `mycology_fk_7666001` FOREIGN KEY (`mycology_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `parasitology_fk_7666000` FOREIGN KEY (`parasitology_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `phlebotomy_venipuncture_fk_7666010` FOREIGN KEY (`phlebotomy_venipuncture_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `sample_reception_and_acquisition_fk_7665997` FOREIGN KEY (`sample_reception_and_acquisition_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `sample_transport_fk_7665998` FOREIGN KEY (`sample_transport_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `serology_fk_7666007` FOREIGN KEY (`serology_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `test_type_id_fk_780063222` FOREIGN KEY (`test_type_id`) REFERENCES `test_types` (`id`),
  CONSTRAINT `user_fk_7665994` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`),
  CONSTRAINT `viral_culture_fk_7666006` FOREIGN KEY (`viral_culture_id`) REFERENCES `training_levels` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `laboratory_experiences`
--

LOCK TABLES `laboratory_experiences` WRITE;
/*!40000 ALTER TABLE `laboratory_experiences` DISABLE KEYS */;
INSERT INTO `laboratory_experiences` VALUES (2,'2023-08-08 03:52:39','2023-08-08 03:52:39',NULL,2,4,1,3,2,3,4,1,4,7,1,3,3,1,1,5,4,4,2,1,NULL);
/*!40000 ALTER TABLE `laboratory_experiences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language_lines`
--

DROP TABLE IF EXISTS `language_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `language_lines` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `group` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `key` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `text` json NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `language_lines_group_index` (`group`),
  KEY `language_lines_key_index` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `language_lines`
--

LOCK TABLES `language_lines` WRITE;
/*!40000 ALTER TABLE `language_lines` DISABLE KEYS */;
/*!40000 ALTER TABLE `language_lines` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media`
--

DROP TABLE IF EXISTS `media`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `model_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint unsigned NOT NULL,
  `uuid` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `collection_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `file_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `mime_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `disk` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `conversions_disk` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `size` bigint unsigned NOT NULL,
  `manipulations` json NOT NULL,
  `custom_properties` json NOT NULL,
  `generated_conversions` json NOT NULL,
  `responsive_images` json NOT NULL,
  `order_column` int unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `media_uuid_unique` (`uuid`),
  KEY `media_model_type_model_id_index` (`model_type`,`model_id`),
  KEY `media_order_column_index` (`order_column`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media`
--

LOCK TABLES `media` WRITE;
/*!40000 ALTER TABLE `media` DISABLE KEYS */;
INSERT INTO `media` VALUES (1,'App\\Models\\ReadinessAndRtMember',5,'68527321-17d6-4e12-baf3-6a0b935a4769','default','9617_users_8_1692171277','1XFmDsl0YPddEb7C1hy7gbaTuzQIcd-metaOTYxN191c2Vyc184XzE2OTIxNzEyNzcuY3N2-.csv','text/csv','public','public',264719,'[]','[]','[]','[]',1,'2023-08-23 14:35:54','2023-08-23 14:35:54'),(2,'App\\Models\\ReadinessAndRtMember',5,'de3f4a72-1490-4ec1-bc69-6238125bbaed','default','8127012','XySHjuUJQoPa7LZK34vywgOUJMNu5A-metaODEyNzAxMi5wZGY=-.pdf','application/pdf','public','public',30067,'[]','[]','[]','[]',2,'2023-08-23 14:35:54','2023-08-23 14:35:54'),(3,'App\\Models\\ReadinessAndRtMember',5,'596bf4c0-dc27-47bd-a69c-2d946b68b917','default','users','y53ZAMiLJqpFyl0XIsbktajJplmBpK-metadXNlcnMuY3N2-.csv','text/csv','public','public',44461,'[]','[]','[]','[]',3,'2023-08-23 14:35:54','2023-08-23 14:35:54'),(4,'App\\Models\\ReadinessAndRtMember',5,'ef981148-000b-4edc-8ecd-a64d7aaa570c','default','9617_users_8_1691740493','1MrSqRQBZI374ekZJDg8vVkyB33MAx-metaOTYxN191c2Vyc184XzE2OTE3NDA0OTMuY3N2-.csv','text/csv','public','public',199405,'[]','[]','[]','[]',4,'2023-08-23 14:35:54','2023-08-23 14:35:54'),(5,'App\\Models\\ReadinessAndRtMember',5,'1404c363-e6e9-4cdd-85b9-a31dbbf3916f','default','9617_users__1691583208','WC376iZPKyJNf73kDTu6F8Ydp2q1NW-metaOTYxN191c2Vyc19fMTY5MTU4MzIwOC5jc3Y=-.csv','text/csv','public','public',162265,'[]','[]','[]','[]',5,'2023-08-23 14:35:54','2023-08-23 14:35:54');
/*!40000 ALTER TABLE `media` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `member_evaluations`
--

DROP TABLE IF EXISTS `member_evaluations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `member_evaluations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned DEFAULT NULL,
  `rrt_member_satisfaction` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rrt_member_communication_satisfaction` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `goals_target` int DEFAULT NULL,
  `goals_achievement` int DEFAULT NULL,
  `objectives_changes` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `factors_of_members_success` longtext COLLATE utf8mb4_unicode_ci,
  `factors_of_members_failure` longtext COLLATE utf8mb4_unicode_ci,
  `number_of_activities_set` int DEFAULT NULL,
  `number_of_activities_achieved` int DEFAULT NULL,
  `changes_to_activities` longtext COLLATE utf8mb4_unicode_ci,
  `factors_of_activities_success_member` longtext COLLATE utf8mb4_unicode_ci,
  `factors_of_activities_failure_member` longtext COLLATE utf8mb4_unicode_ci,
  `number_of_deliverables_set` int DEFAULT NULL,
  `number_of_deliverables_achieved` int DEFAULT NULL,
  `changes_to_deliverables` longtext COLLATE utf8mb4_unicode_ci,
  `factors_of_deliverables_success_member` longtext COLLATE utf8mb4_unicode_ci,
  `factors_of_deliverables_failure_member` longtext COLLATE utf8mb4_unicode_ci,
  `number_of_indicators_measures_set` int DEFAULT NULL,
  `number_of_indicators_measures_achieved` int DEFAULT NULL,
  `changes_to_indicators_measures` longtext COLLATE utf8mb4_unicode_ci,
  `factors_of_indicators_measures_success_member` longtext COLLATE utf8mb4_unicode_ci,
  `factors_of_indicators_measures_failure_member` longtext COLLATE utf8mb4_unicode_ci,
  `comments_on_failure` longtext COLLATE utf8mb4_unicode_ci,
  `how_can_RRT_help_the_member` longtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deployment_opportunity_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_fk_234664238` (`user_id`),
  KEY `deployment_opp_fk_781200632` (`deployment_opportunity_id`),
  CONSTRAINT `deployment_opp_fk_781200632` FOREIGN KEY (`deployment_opportunity_id`) REFERENCES `deployment_opportunities` (`id`),
  CONSTRAINT `user_fk_234664238` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `member_evaluations`
--

LOCK TABLES `member_evaluations` WRITE;
/*!40000 ALTER TABLE `member_evaluations` DISABLE KEYS */;
INSERT INTO `member_evaluations` VALUES (1,7,'Less satisfied','Not satisfied',5,73,'Illum itaque minus qui ut duis quas ex consequuntur officia blanditiis fugiat','<p>czxczxc</p>','<p>zxczxczx</p>',207,298,'<p>zxczxcz</p>','<p>czxxcxz</p>','<p>zczxczx</p>',601,994,'<p>xzczx</p>','<p>zcxzczx</p>','<p>czxczxcz</p>',927,177,'<p>zczxczxc</p>','<p>czxczxc</p>','<p>zxczxcz</p>','<p>czxczxc</p>','<p>zcczxc</p>','2023-09-12 03:28:20','2023-09-12 03:28:20',1);
/*!40000 ALTER TABLE `member_evaluations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=126 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2014_10_12_000000_create_users_table',1),(2,'2014_10_12_100000_create_password_reset_tokens_table',1),(3,'2019_08_19_000000_create_failed_jobs_table',1),(4,'2019_12_14_000001_create_personal_access_tokens_table',1),(5,'2022_12_01_000007_create_agency_roles_table',1),(6,'2022_12_01_000009_create_training_levels_table',1),(7,'2022_12_01_000018_create_vaccinationations_table',1),(8,'2022_12_01_000019_create_rrt_trainings_table',1),(9,'2022_12_01_000021_create_regions_table',1),(10,'2022_12_01_000026_create_disease_emergencies_table',1),(11,'2022_12_01_000029_create_months_table',1),(12,'2022_12_01_000030_create_requesters_table',1),(13,'2022_12_01_000031_create_request_types_table',1),(14,'2022_12_01_000032_create_rrt_roles_table',1),(15,'2022_12_01_000018_create_vaccinations_table',2),(16,'2022_12_01_000011_create_psychosocial_experiences_table',3),(17,'2022_12_01_000044_add_relationship_fields_to_psychosocial_experiences_table',3),(19,'2023_08_07_090928_create_crecs_table',5),(20,'2023_08_07_090928_add_relationship_fields_to_crecs_table',6),(23,'2022_12_01_000013_create_data_managements_table',9),(24,'2022_12_01_000014_create_experience_in_epidemiologies_table',10),(25,'2022_12_01_000015_create_case_managements_table',11),(26,'2022_12_01_000016_create_nutrition_experiences_table',12),(27,'2022_12_01_000022_create_laboratory_experiences_table',13),(32,'2022_12_01_000046_add_relationship_fields_to_data_managements_table',18),(33,'2022_12_01_000047_add_relationship_fields_to_experience_in_epidemiologies_table',19),(34,'2022_12_01_000048_add_relationship_fields_to_case_managements_table',20),(35,'2022_12_01_000049_add_relationship_fields_to_nutrition_experiences_table',21),(36,'2022_12_01_000052_add_relationship_fields_to_laboratory_experiences_table',22),(43,'2022_12_01_000024_create_water_sanitation_hygiene_washes_table',27),(44,'2022_12_01_000025_create_emergency_responses_table',28),(45,'2022_12_01_000027_create_hazardous_materials_experiences_table',29),(46,'2022_12_01_000023_create_infection_prevent_controls_table',30),(49,'2022_12_01_000056_add_relationship_fields_to_hazardous_materials_experiences_table',33),(50,'2022_12_01_000054_add_relationship_fields_to_water_sanitation_hygiene_washes_table',34),(51,'2022_12_01_000053_add_relationship_fields_to_infection_prevent_controls_table',35),(52,'2022_12_01_000055_add_relationship_fields_to_emergency_responses_table',36),(53,'2022_12_01_000006_create_registers_table',37),(54,'2022_12_01_000005_create_countries_table',38),(55,'2022_12_01_000008_create_qualifications_table',39),(56,'2022_12_01_000049_add_relationship_fields_to_qualification_table',40),(59,'2022_12_01_000017_create_readiness_and_rt_members_table',43),(60,'2022_12_01_000050_add_relationship_fields_to_readiness_and_rt_members_table',44),(63,'2022_12_01_000033_create_request_databases_table',45),(64,'2022_12_01_000058_add_relationship_fields_to_request_databases_table',46),(68,'2022_12_01_000020_create_deployment_opportunities_table',47),(69,'2022_12_01_000051_add_relationship_fields_to_deployment_opportunities_table',48),(72,'2023_08_14_092326_create_deployment_applications',49),(74,'2023_08_15_100816_create_request_database_request_type',50),(75,'2023_08_15_102137_deployment_application_user',51),(77,'2022_12_01_000012_create_emergency_logistics_table',52),(78,'2022_12_01_000028_create_security_manager_experiences_table',53),(79,'2023_08_23_170217_create_media_table',54),(80,'2023_08_24_183922_create_language_lines_table',55),(81,'2022_12_01_000045_add_relationship_fields_to_emergency_logistics_table',56),(82,'2022_12_01_000057_add_relationship_fields_to_security_manager_experiences_table',57),(84,'2023_09_03_194616_create_security_experiences_months_user_table',58),(85,'2023_09_05_183028_create_deployment_roles_table',59),(86,'2023_09_05_183120_create_deployments_table',60),(87,'2023_09_05_183339_add_relationships_to_deployments_table',61),(88,'2023_09_05_183339_add_user_to_deployments_table',62),(89,'2023_09_05_183028_create_yes_no',63),(90,'2023_09_05_183028_create_yes_nos',64),(91,'2023_09_06_072654_create_departments_table',65),(92,'2023_09_06_072644_create_agency_structures_table',66),(93,'2023_09_07_055907_create_profession_table',67),(94,'2023_09_07_061720_add_professioon_to_registers_table',68),(95,'2023_09_07_064017_create_test_types_table',69),(96,'2023_09_07_065415_add_test_type_column_to_laboratory_experiences',70),(98,'2023_09_07_084548_add_laboratory_experience_test_type',71),(99,'2023_09_07_094658_add_narrative_to_deployment_opportunities',72),(101,'2023_09_07_095653_add_columns_to_qualifications',73),(104,'2023_09_10_161001_create_permission_tables',74),(105,'2023_09_07_094658_add_dates_to_deployments',75),(106,'2023_09_10_194533_create_notifications_table',76),(107,'2023_09_10_222713_create_states_table',77),(108,'2023_09_10_224108_add_state_country_to_deployments',78),(111,'2023_09_10_224108_add_type_country_to_deployments',79),(112,'2023_09_11_181441_add_fields_to_registrations',80),(114,'2023_09_11_184725_disease_emergency_emergency_response',81),(115,'2023_09_12_041926_create_evaluations_table',82),(116,'2023_09_12_041921_create_member_evaluations_table',83),(117,'2023_09_12_051738_add_deployment_to_evaluations',84),(118,'2023_09_12_051748_add_deployment_to_member_evaluations',85),(123,'2023_09_14_115725_create_table_deployment_opportunity_user_data',86),(124,'2023_09_14_173703_add_status_to_deployment_opportunity_user_data',87),(125,'2023_10_04_112209_deployment_opportunities_deployment_roles',88);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `model_has_permissions`
--

DROP TABLE IF EXISTS `model_has_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `model_has_permissions` (
  `permission_id` bigint unsigned NOT NULL,
  `model_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`model_id`,`model_type`),
  KEY `model_has_permissions_model_id_model_type_index` (`model_id`,`model_type`),
  CONSTRAINT `model_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `model_has_permissions`
--

LOCK TABLES `model_has_permissions` WRITE;
/*!40000 ALTER TABLE `model_has_permissions` DISABLE KEYS */;
/*!40000 ALTER TABLE `model_has_permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `model_has_roles`
--

DROP TABLE IF EXISTS `model_has_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `model_has_roles` (
  `role_id` bigint unsigned NOT NULL,
  `model_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`role_id`,`model_id`,`model_type`),
  KEY `model_has_roles_model_id_model_type_index` (`model_id`,`model_type`),
  CONSTRAINT `model_has_roles_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `model_has_roles`
--

LOCK TABLES `model_has_roles` WRITE;
/*!40000 ALTER TABLE `model_has_roles` DISABLE KEYS */;
INSERT INTO `model_has_roles` VALUES (2,'App\\Models\\User',1),(2,'App\\Models\\User',2),(1,'App\\Models\\User',3),(2,'App\\Models\\User',5),(3,'App\\Models\\User',7),(2,'App\\Models\\User',8),(2,'App\\Models\\User',9);
/*!40000 ALTER TABLE `model_has_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `month_security_manager_experience`
--

DROP TABLE IF EXISTS `month_security_manager_experience`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `month_security_manager_experience` (
  `security_manager_experience_id` bigint unsigned NOT NULL,
  `month_id` bigint unsigned NOT NULL,
  KEY `smanager_fk_7800632` (`security_manager_experience_id`),
  KEY `month_fk_7800632` (`month_id`),
  CONSTRAINT `month_fk_7800632` FOREIGN KEY (`month_id`) REFERENCES `months` (`id`),
  CONSTRAINT `smanager_fk_7800632` FOREIGN KEY (`security_manager_experience_id`) REFERENCES `security_manager_experiences` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `month_security_manager_experience`
--

LOCK TABLES `month_security_manager_experience` WRITE;
/*!40000 ALTER TABLE `month_security_manager_experience` DISABLE KEYS */;
INSERT INTO `month_security_manager_experience` VALUES (1,1),(1,8),(1,2);
/*!40000 ALTER TABLE `month_security_manager_experience` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `months`
--

DROP TABLE IF EXISTS `months`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `months` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `months_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `months`
--

LOCK TABLES `months` WRITE;
/*!40000 ALTER TABLE `months` DISABLE KEYS */;
INSERT INTO `months` VALUES (1,'January','2023-08-06 09:15:35','2023-08-06 09:15:35',NULL),(2,'February','2023-08-06 09:15:41','2023-08-06 09:15:41',NULL),(3,'March','2023-08-06 09:15:46','2023-08-06 09:15:46',NULL),(4,'April','2023-08-06 09:15:50','2023-08-06 09:15:50',NULL),(5,'May','2023-08-06 09:15:53','2023-08-06 09:15:53',NULL),(6,'June','2023-08-06 09:15:57','2023-08-06 09:15:57',NULL),(7,'July','2023-08-06 09:16:01','2023-08-06 09:16:01',NULL),(8,'August','2023-08-06 09:16:09','2023-08-06 09:16:09',NULL),(9,'September','2023-08-06 09:16:15','2023-08-06 09:16:15',NULL),(10,'October','2023-08-06 09:16:23','2023-08-06 09:16:23',NULL),(11,'November','2023-08-06 09:16:27','2023-08-06 09:16:27',NULL),(12,'December','2023-08-06 09:16:33','2023-08-06 09:16:33',NULL);
/*!40000 ALTER TABLE `months` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `notifications`
--

DROP TABLE IF EXISTS `notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `notifications` (
  `id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_id` bigint unsigned NOT NULL,
  `data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notifications_notifiable_type_notifiable_id_index` (`notifiable_type`,`notifiable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `notifications`
--

LOCK TABLES `notifications` WRITE;
/*!40000 ALTER TABLE `notifications` DISABLE KEYS */;
INSERT INTO `notifications` VALUES ('008e60c3-3b44-4823-8256-b9b5b2b961a6','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',8,'{\"actions\":[],\"body\":\"The Deployment Opportunity Ian Houston (Lomami\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inIan Houston\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:56:51','2023-09-19 05:56:51'),('0512f840-8967-4068-bafc-d64a895d3e6b','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"You have for Griffin Coleman\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"You have set the application of gatama michael forGriffin Coleman Deniedstatus\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-04 03:56:48','2023-09-22 05:15:29','2023-10-04 03:56:48'),('05fab324-d621-4252-8bc1-a56e95b02415','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"Congratulations, Your Application to Griffin Coleman has been approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Your application for Griffin Coleman has been approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-22 05:15:29','2023-09-22 05:15:29'),('078e3c83-aeb1-41a0-ba50-de01d4aa7502','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Response to malaria in Finland (\\t\\u00c9quateur\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"gatama michael Has been invited to participated inResponse to malaria in Finland\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-05 07:21:21','2023-10-05 07:21:21'),('0b691394-2df4-4cfd-9917-ad94adbc08ac','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[],\"body\":\"Your application for Response to malaria in Finland has been received.\",\"color\":null,\"duration\":\"persistent\",\"icon\":null,\"iconColor\":null,\"title\":\"Application Received\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-11 10:51:28','2023-10-11 10:51:28'),('0bde2611-169c-42e2-8346-d21ca28fcae4','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',7,'{\"actions\":[],\"body\":\"The Deployment Opportunity **Wyatt Tran (Kinshasa) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Wyatt TranHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 12:19:46','2023-09-16 12:19:46'),('0e33155c-981a-4995-ba94-227490672a96','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',5,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"Congratulations, Your Application to Griffin Coleman has been approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Your application for Griffin Coleman has been approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-22 05:17:37','2023-09-22 05:17:37'),('0e6c9dc8-56a2-4292-a5a4-955f02e7e792','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',7,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Hedda Rivas 2023 (Nord-Ubangi) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Hedda Rivas 2023 Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:36:58','2023-09-19 05:36:58'),('2142b7fd-47c3-46c3-a63e-4833351c90fd','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Response to malaria in Finland (\\t\\u00c9quateur\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"gatama michael Has been invited to participated inResponse to malaria in Finland\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-05 07:21:21','2023-10-05 07:21:21'),('2840d8bb-fa91-4614-996f-4af4fa5c90b6','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[],\"body\":\"The Deployment Opportunity has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Has been Created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-15 15:25:09','2023-09-15 15:25:09'),('293b5993-c844-401c-84a6-e6850cefb859','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Hedda Rivas 2023 (Nord-Ubangi\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inHedda Rivas 2023\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-16 07:46:48','2023-10-16 07:46:48'),('2c74a30c-505b-456f-8d0d-d1e1d3628d25','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',8,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Hedda Rivas 2023 (Nord-Ubangi) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Hedda Rivas 2023 Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:36:58','2023-09-19 05:36:58'),('2ca69227-9ddb-41eb-ab72-14334c9e8e6f','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Leigh Finch (Bas-Uele) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Leigh Finch Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-11 10:51:15','2023-09-26 04:05:11','2023-10-11 10:51:15'),('2e0eba7a-c71a-4eb9-87b3-a9e15a7ba0b3','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[],\"body\":\"The Deployment Opportunity **Wyatt Tran (Kinshasa) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Wyatt TranHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 12:19:46','2023-09-16 12:19:46'),('2f67b18d-3e03-4af3-b5f3-8b5281338d22','Filament\\Notifications\\DatabaseNotification','App\\Models\\UserData',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Petra Pitts (Lomami\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inPetra Pitts\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 06:17:13','2023-09-19 06:17:13'),('347e8b23-3228-43eb-b9f1-ef96d6222ae0','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',6,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Response to malaria in Finland (\\t\\u00c9quateur) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Response to malaria in Finland Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:06:09','2023-09-26 04:06:09'),('35e3012d-d2c2-4b3d-ac19-0ae8c0e922d8','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',5,'{\"actions\":[],\"body\":\"The Deployment Opportunity Ian Houston (Lomami\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inIan Houston\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:56:51','2023-09-19 05:56:51'),('363094c7-b7e2-4e13-8247-ae4966ce6dcf','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',6,'{\"actions\":[],\"body\":\"The Deployment Opportunity Petra Pitts(Lomami)with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Petra PittsHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 11:58:47','2023-09-16 11:58:47'),('3935b78e-77cd-4b99-a861-7fb03a6b2dd3','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"You have set the application of test user1 for Response to malaria in Finland deployment to the status Approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1\'s application for Response to malaria in Finland set to Approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-11 10:52:54','2023-10-11 10:52:54'),('45814c8d-fd86-421f-b1ad-769f0eef05d0','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',4,'{\"actions\":[],\"body\":\"The Deployment Opportunity **Wyatt Tran (Kinshasa) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Wyatt TranHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 12:19:46','2023-09-16 12:19:46'),('45f93cd6-0a41-43ba-9396-79fddfaf2467','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',4,'{\"actions\":[],\"body\":\"The Deployment Opportunity Ian Houston (Lomami\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inIan Houston\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:56:51','2023-09-19 05:56:51'),('509e5048-9915-4fa5-bd4a-ee921b118ff0','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',5,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Hedda Rivas 2023 (Nord-Ubangi) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Hedda Rivas 2023 Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:36:58','2023-09-19 05:36:58'),('56dd0924-ff9e-4200-a459-1a92c022bb7c','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',4,'{\"actions\":[],\"body\":\"The Deployment Opportunity has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Has been Created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-15 15:25:09','2023-09-15 15:25:09'),('59095ec6-d72d-4d1b-a261-4324bde84289','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',9,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Leigh Finch (Bas-Uele) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Leigh Finch Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:05:11','2023-09-26 04:05:11'),('5bb5a7dd-eabe-4f91-803d-3cd820b8c3b7','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',5,'{\"actions\":[],\"body\":\"The Deployment Opportunity **Wyatt Tran (Kinshasa) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Wyatt TranHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 12:19:46','2023-09-16 12:19:46'),('5eb5c835-9b83-4a7b-a610-57629832f8c2','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"You have for Griffin Coleman\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"You have set the application of test user1 for Griffin Coleman to the status Pending\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-04 03:56:48','2023-09-22 05:16:45','2023-10-04 03:56:48'),('60f088fe-6cb9-4be8-b181-3452956fbfcb','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',6,'{\"actions\":[],\"body\":\"The Deployment Opportunity has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Has been Created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-15 15:25:09','2023-09-15 15:25:09'),('63e6cd44-2bbd-41d4-8e5f-1c00c871ffee','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',4,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Hedda Rivas 2023 (Nord-Ubangi) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Hedda Rivas 2023 Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:36:58','2023-09-19 05:36:58'),('66930091-0b21-4717-9a09-c8fb66f53424','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',7,'{\"actions\":[],\"body\":\"The Deployment Opportunity Petra Pitts(Lomami)with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Petra PittsHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 11:58:47','2023-09-16 11:58:47'),('68a28d41-f642-44b5-84c6-d6f4bbad64b1','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',7,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Leigh Finch (Bas-Uele) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Leigh Finch Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:05:11','2023-09-26 04:05:11'),('6b52dea1-9c53-4467-8412-8ee2fd646789','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',7,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Response to malaria in Finland (\\t\\u00c9quateur) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Response to malaria in Finland Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:06:09','2023-09-26 04:06:09'),('6c6308d7-01f7-4044-a88e-623cfa62f078','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',4,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Leigh Finch (Bas-Uele) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Leigh Finch Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:05:11','2023-09-26 04:05:11'),('6d0b5fc4-7f13-49dc-a8c2-a41f7253ac50','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"Congratulations, Your Application to Response to malaria in Finland has been approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Your application for Response to malaria in Finland has been approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-11 10:52:54','2023-10-11 10:52:54'),('7dce1295-6969-4ea7-a7ca-c08ce510b4ff','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',4,'{\"actions\":[],\"body\":\"The Deployment Opportunity Petra Pitts(Lomami)with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Petra PittsHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 11:58:47','2023-09-16 11:58:47'),('7df080ed-a1f4-4a53-a883-181bc789bbd3','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',6,'{\"actions\":[],\"body\":\"The Deployment Opportunity **Wyatt Tran (Kinshasa) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Wyatt TranHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 12:19:46','2023-09-16 12:19:46'),('8083da0b-559c-404c-bbb5-497f12b7928f','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',6,'{\"actions\":[],\"body\":\"The Deployment Opportunity Ian Houston (Lomami\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inIan Houston\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:56:51','2023-09-19 05:56:51'),('81a51b26-5169-4e75-8b1f-cb32e92e920d','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Hedda Rivas 2023 (Nord-Ubangi\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inHedda Rivas 2023\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-16 07:46:48','2023-10-16 07:46:48'),('84eb6699-5b2e-4b8b-8fe7-5770507ea5a6','Filament\\Notifications\\DatabaseNotification','App\\Models\\UserData',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Kylynn Bender (Haut-Katanga\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"gatama michael Has been invited to participated inKylynn Bender\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 06:08:31','2023-09-19 06:08:31'),('86c06dba-e55b-4449-97a2-773a89dab137','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"You have set the application of test user1 for Response to malaria in Finland deployment to the status Approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1\'s application for Response to malaria in Finland set to Approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-27 08:57:50','2023-10-04 03:56:52'),('885f974a-4f17-47bd-a1a7-2d36e661b56e','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Hedda Rivas 2023 (Nord-Ubangi) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Hedda Rivas 2023 Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:36:58','2023-09-19 05:36:58'),('8a2de72e-ea3d-4092-95f8-a8ec90fa4ab5','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',5,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Griffin Coleman (Kwango\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Gabriel Rockerfeller Has been invited to participated inGriffin Coleman\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 08:02:58','2023-09-19 08:02:58'),('8b88c055-4bd0-4b76-8291-7b16ce796a9e','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"Congratulations, Your Application to Griffin Coleman has been approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Your application for Griffin Coleman has been approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-22 05:10:34','2023-09-22 05:10:34'),('8cbcd0a6-04a5-42eb-b4e3-91f622b37074','Filament\\Notifications\\DatabaseNotification','App\\Models\\UserData',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Test Request 123 (\\t\\u00c9quateur\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"gatama michael Has been invited to participated inTest Request 123\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 06:12:33','2023-09-19 06:12:33'),('8dcdd1b6-6141-4dfe-bd68-e6992fbda41e','Filament\\Notifications\\DatabaseNotification','App\\Models\\UserData',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Nevada Massey (Bas-Uele\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inNevada Massey\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 06:17:58','2023-09-19 06:17:58'),('93892a92-2772-4794-9487-bdf8871affa9','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"You have for Griffin Coleman\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"You have set the status Approvedstatus\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-04 03:56:48','2023-09-22 05:08:13','2023-10-04 03:56:48'),('947ed528-d292-4733-bda9-1039f34aa6d4','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"You have set the application of gatama michael for Griffin Coleman deployment to the status Pending\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"gatama michael\'s application for Griffin ColemanPending\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-04 03:56:48','2023-09-22 05:18:58','2023-10-04 03:56:48'),('9added23-7c95-4c89-800b-ea219a072222','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[],\"body\":\"test user1 has applied toResponse to malaria in Finlandand the current status is pending\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1has applied toResponse to malaria in Finland\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-11 10:51:28','2023-10-11 10:51:28'),('9f33384d-29e5-4401-89ba-5b4e692ceff4','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',8,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Leigh Finch (Bas-Uele) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Leigh Finch Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:05:11','2023-09-26 04:05:11'),('a42d90c0-ad4b-4f1d-9f20-f2d024e37f18','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"You have for Griffin Coleman\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"You have set the status Pendingstatus\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-04 03:56:48','2023-09-22 05:10:34','2023-10-04 03:56:48'),('a8dd3987-c430-4694-b00c-0e13905ee921','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',8,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Response to malaria in Finland (\\t\\u00c9quateur) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Response to malaria in Finland Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:06:09','2023-09-26 04:06:09'),('a9957f02-2f2e-42fe-ac9c-c4f871b320a5','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',10,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Test Request 123 (\\t\\u00c9quateur\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Michael Nkanika Has been invited to participated inTest Request 123\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-16 07:51:35','2023-10-16 07:51:35'),('aaeab7ed-3eff-4181-a1f0-57928f5c0c21','Filament\\Notifications\\DatabaseNotification','App\\Models\\UserData',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Hedda Rivas 2023 (Nord-Ubangi\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"gatama michael Has been invited to participated inHedda Rivas 2023\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 06:05:10','2023-09-19 06:05:10'),('b366bd56-0cd1-46b2-b6c9-3ec96c74ba5e','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[],\"body\":\"The Deployment Opportunity Petra Pitts(Lomami)with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Petra PittsHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 11:58:47','2023-09-16 11:58:47'),('b57dc2a2-5644-4290-8749-2304946f0a0b','Filament\\Notifications\\DatabaseNotification','App\\Models\\UserData',8,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity ggfgfg (Bas-Uele\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user 30 Has been invited to participated inggfgfg\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 06:11:49','2023-09-19 06:11:49'),('b69ebe49-7546-4497-b6d6-12be5b4f45f2','Filament\\Notifications\\DatabaseNotification','App\\Models\\UserData',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Malaria In Mbandaka (\\t\\u00c9quateur\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"gatama michael Has been invited to participated inMalaria In Mbandaka\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 06:13:35','2023-09-19 06:13:35'),('b95f9d9d-001a-4880-9b15-00fbe47edfe4','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',9,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Response to malaria in Finland (\\t\\u00c9quateur) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Response to malaria in Finland Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:06:09','2023-09-26 04:06:09'),('bd947134-55b7-4164-897a-78040e2a5d38','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',5,'{\"actions\":[],\"body\":\"The Deployment Opportunity has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Has been Created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-15 15:25:09','2023-09-15 15:25:09'),('c20aa4b9-4570-4460-9f46-cf6fa5b05aa0','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Nevada Massey (Bas-Uele\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inNevada Massey\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-11 10:51:15','2023-09-19 09:08:48','2023-10-11 10:51:15'),('c94a98cd-b8c3-4c47-84a9-ef3813eb6290','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"Congratulations, Your Application to Griffin Coleman has been approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Your application for as been approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-11 10:51:15','2023-09-22 05:08:13','2023-10-11 10:51:15'),('cc11f2ca-2ed9-4a33-af4b-4a7d7077b465','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',4,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Response to malaria in Finland (\\t\\u00c9quateur) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Response to malaria in Finland Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:06:09','2023-09-26 04:06:09'),('cd996cb4-a867-4956-8698-ab50098eff8c','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[],\"body\":\"The Deployment Opportunity Ian Houston (Lomami\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inIan Houston\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:56:51','2023-09-19 05:56:51'),('d16c97e8-64bc-4b03-8118-28a50a0b5822','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',5,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Response to malaria in Finland (\\t\\u00c9quateur) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Response to malaria in Finland Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:06:09','2023-09-26 04:06:09'),('d41d6812-cc1c-4372-a849-e79324fe0a24','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',5,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Leigh Finch (Bas-Uele) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Leigh Finch Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:05:11','2023-09-26 04:05:11'),('d4c02719-2da0-4b4d-a852-73f9e09ee7be','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Petra Pitts (Lomami\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inPetra Pitts\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-16 07:54:46','2023-10-16 07:54:46'),('daf4be45-1401-4339-9943-17c9e33d5239','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"Congratulations, Your Application to Griffin Coleman has been approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Your application for Griffin Coleman has been approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-11 10:51:15','2023-09-22 05:16:45','2023-10-11 10:51:15'),('dc7543a7-7372-4382-baaf-c336c54eeca0','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',6,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Leigh Finch (Bas-Uele) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Leigh Finch Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:05:11','2023-09-26 04:05:11'),('dcfa9ffb-b905-4d42-844e-71a9e52138aa','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Response to malaria in Finland (\\t\\u00c9quateur) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Response to malaria in Finland Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:06:09','2023-10-04 03:56:53'),('dd518565-f21d-4592-b1c2-7c766fa2c03e','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',5,'{\"actions\":[],\"body\":\"The Deployment Opportunity Petra Pitts(Lomami)with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Petra PittsHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 11:58:47','2023-09-16 11:58:47'),('df95b199-6d15-4b72-a7c4-bea7e3351b28','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',7,'{\"actions\":[],\"body\":\"The Deployment Opportunity has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Has been Created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-09-16 11:51:13','2023-09-15 15:25:09','2023-09-16 11:51:13'),('e0ac0fb0-2d1c-4ccb-ac90-1c7d4fa8e400','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Response to malaria in Finland (\\t\\u00c9quateur) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Response to malaria in Finland Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:06:09','2023-09-26 04:06:09'),('e4f421f8-14e9-4772-bece-98d42db485ec','Filament\\Notifications\\DatabaseNotification','App\\Models\\UserData',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Malaria In Mbandaka (\\t\\u00c9quateur\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"gatama michael Has been invited to participated inMalaria In Mbandaka\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 06:05:35','2023-09-19 06:05:35'),('e59be57f-e745-4e44-b65a-62bef7f70446','Filament\\Notifications\\DatabaseNotification','App\\Models\\UserData',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Kylynn Bender (Haut-Katanga\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"gatama michael Has been invited to participated inKylynn Bender\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 06:08:11','2023-09-19 06:08:11'),('e7ee5c20-c05b-4baf-af56-6ed0d01d8802','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',7,'{\"actions\":[],\"body\":\"The Deployment Opportunity Ian Houston (Lomami\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inIan Houston\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:56:51','2023-09-19 05:56:51'),('e8bc0f03-5f2a-4faf-ac6c-45b63a78fcd3','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',6,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Hedda Rivas 2023 (Nord-Ubangi) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Hedda Rivas 2023 Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-19 05:36:58','2023-09-19 05:36:58'),('e9fb2afc-d8a9-4fe1-a74d-ed4b3c789052','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',8,'{\"actions\":[],\"body\":\"The Deployment Opportunity **Wyatt Tran (Kinshasa) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Wyatt TranHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 12:19:46','2023-09-16 12:19:46'),('ecaf9a4d-4b9a-4eb3-8a19-ddfa6172967a','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',8,'{\"actions\":[],\"body\":\"The Deployment Opportunity Petra Pitts(Lomami)with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Petra PittsHas been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-16 11:58:47','2023-09-16 11:58:47'),('ee2852ee-9948-416b-9242-a26b0d71cfe9','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Leigh Finch (Bas-Uele) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Leigh Finch Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-26 04:05:11','2023-09-26 04:05:11'),('f21ac388-7ac7-44bc-a80d-a41145ba5a27','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',8,'{\"actions\":[],\"body\":\"The Deployment Opportunity has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-check-circle\",\"iconColor\":\"success\",\"title\":\"Has been Created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-15 15:25:09','2023-09-15 15:25:09'),('f30f572b-a3d7-49f5-a39c-2f5abd3ef4b4','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Griffin Coleman (Kwango\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inGriffin Coleman\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-11 10:51:15','2023-09-19 06:24:40','2023-10-11 10:51:15'),('f5bd6bb6-15f1-48f7-9b1c-e0523c3b77d9','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Petra Pitts (Lomami\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user1 Has been invited to participated inPetra Pitts\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-16 07:54:46','2023-10-16 07:54:46'),('f68e5a94-d978-4f7b-bb48-8d71438b12ce','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Test Request 123 (\\t\\u00c9quateur\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Michael Nkanika Has been invited to participated inTest Request 123\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-10-16 07:51:35','2023-10-16 07:51:35'),('f8cfa602-7330-462e-b854-0bb3ba6dce90','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',2,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"Congratulations, Your Application to Griffin Coleman has been approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Your application for Griffin Coleman has been approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-22 05:18:58','2023-09-22 05:18:58'),('f994c3cc-32e5-4dc5-b28b-61e0f0e273b1','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',3,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"You have set the application of Gabriel Rockerfeller for Griffin Colemandeployment to the status Approved\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"You have set the application of Gabriel Rockerfeller for Griffin Colemandeployment to the status Approved\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-04 03:56:48','2023-09-22 05:17:37','2023-10-04 03:56:48'),('facbf956-f496-4a6c-be4d-85b894aa8cd9','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',1,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity **Response to malaria in Finland (\\t\\u00c9quateur) ** with the follwing details has been created in the systems\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"Response to malaria in Finland Has been created\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}','2023-10-11 10:51:15','2023-09-26 04:06:08','2023-10-11 10:51:15'),('fbaf050d-bfb7-4a31-a1cc-d61e83f917d4','Filament\\Notifications\\DatabaseNotification','App\\Models\\User',9,'{\"actions\":[{\"name\":\"markAsUnread\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as unread\",\"shouldClose\":false,\"shouldMarkAsRead\":false,\"shouldMarkAsUnread\":true,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"},{\"name\":\"markAsRead\",\"color\":null,\"event\":null,\"eventData\":[],\"dispatchDirection\":false,\"dispatchToComponent\":null,\"extraAttributes\":[],\"icon\":null,\"iconPosition\":\"before\",\"iconSize\":null,\"isOutlined\":false,\"isDisabled\":false,\"label\":\"Mark as read\",\"shouldClose\":false,\"shouldMarkAsRead\":true,\"shouldMarkAsUnread\":false,\"shouldOpenUrlInNewTab\":false,\"size\":\"sm\",\"url\":null,\"view\":\"filament-actions::button-action\"}],\"body\":\"The Deployment Opportunity Kylynn Bender (Haut-Katanga\",\"color\":null,\"duration\":\"persistent\",\"icon\":\"heroicon-o-document-text\",\"iconColor\":\"success\",\"title\":\"test user 5 Has been invited to participated inKylynn Bender\",\"view\":\"filament-notifications::notification\",\"viewData\":[],\"format\":\"filament\"}',NULL,'2023-09-21 06:47:37','2023-09-21 06:47:37');
/*!40000 ALTER TABLE `notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nutrition_experiences`
--

DROP TABLE IF EXISTS `nutrition_experiences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `nutrition_experiences` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `certified` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `assessment_nutritional_status_of_population_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `assessment_nutritional_status_of_population_fk_7664190` (`assessment_nutritional_status_of_population_id`),
  KEY `user_fk_7664212` (`user_id`),
  CONSTRAINT `assessment_nutritional_status_of_population_fk_7664190` FOREIGN KEY (`assessment_nutritional_status_of_population_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_7664212` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nutrition_experiences`
--

LOCK TABLES `nutrition_experiences` WRITE;
/*!40000 ALTER TABLE `nutrition_experiences` DISABLE KEYS */;
INSERT INTO `nutrition_experiences` VALUES (3,'Yes','2023-08-08 04:08:37','2023-08-08 04:08:37',NULL,5,1),(4,'Yes','2023-08-08 09:06:08','2023-08-08 09:06:08',NULL,1,2);
/*!40000 ALTER TABLE `nutrition_experiences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_reset_tokens`
--

DROP TABLE IF EXISTS `password_reset_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_reset_tokens` (
  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_reset_tokens`
--

LOCK TABLES `password_reset_tokens` WRITE;
/*!40000 ALTER TABLE `password_reset_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_reset_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `permissions`
--

DROP TABLE IF EXISTS `permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `permissions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `guard_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `permissions_name_guard_name_unique` (`name`,`guard_name`)
) ENGINE=InnoDB AUTO_INCREMENT=516 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `permissions`
--

LOCK TABLES `permissions` WRITE;
/*!40000 ALTER TABLE `permissions` DISABLE KEYS */;
INSERT INTO `permissions` VALUES (1,'view_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(2,'view_any_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(3,'create_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(4,'update_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(5,'restore_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(6,'restore_any_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(7,'replicate_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(8,'reorder_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(9,'delete_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(10,'delete_any_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(11,'force_delete_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(12,'force_delete_any_agency::role','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(13,'view_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(14,'view_any_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(15,'create_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(16,'update_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(17,'restore_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(18,'restore_any_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(19,'replicate_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(20,'reorder_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(21,'delete_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(22,'delete_any_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(23,'force_delete_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(24,'force_delete_any_agency::structure','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(25,'view_case::management','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(26,'view_any_case::management','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(27,'create_case::management','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(28,'update_case::management','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(29,'restore_case::management','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(30,'restore_any_case::management','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(31,'replicate_case::management','web','2023-09-10 13:10:08','2023-09-10 13:10:08'),(32,'reorder_case::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(33,'delete_case::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(34,'delete_any_case::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(35,'force_delete_case::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(36,'force_delete_any_case::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(37,'view_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(38,'view_any_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(39,'create_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(40,'update_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(41,'restore_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(42,'restore_any_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(43,'replicate_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(44,'reorder_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(45,'delete_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(46,'delete_any_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(47,'force_delete_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(48,'force_delete_any_country','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(49,'view_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(50,'view_any_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(51,'create_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(52,'update_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(53,'restore_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(54,'restore_any_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(55,'replicate_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(56,'reorder_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(57,'delete_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(58,'delete_any_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(59,'force_delete_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(60,'force_delete_any_crec','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(61,'view_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(62,'view_any_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(63,'create_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(64,'update_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(65,'restore_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(66,'restore_any_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(67,'replicate_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(68,'reorder_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(69,'delete_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(70,'delete_any_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(71,'force_delete_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(72,'force_delete_any_data::management','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(73,'view_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(74,'view_any_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(75,'create_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(76,'update_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(77,'restore_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(78,'restore_any_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(79,'replicate_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(80,'reorder_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(81,'delete_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(82,'delete_any_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(83,'force_delete_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(84,'force_delete_any_department','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(85,'view_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(86,'view_any_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(87,'create_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(88,'update_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(89,'restore_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(90,'restore_any_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(91,'replicate_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(92,'reorder_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(93,'delete_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(94,'delete_any_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(95,'force_delete_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(96,'force_delete_any_deployment','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(97,'view_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(98,'view_any_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(99,'create_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(100,'update_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(101,'restore_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(102,'restore_any_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(103,'replicate_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(104,'reorder_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(105,'delete_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(106,'delete_any_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(107,'force_delete_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(108,'force_delete_any_deployment::application','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(109,'view_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(110,'view_any_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(111,'create_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(112,'update_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(113,'restore_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(114,'restore_any_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(115,'replicate_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(116,'reorder_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(117,'delete_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(118,'delete_any_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(119,'force_delete_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(120,'force_delete_any_deployment::opportunity','web','2023-09-10 13:10:09','2023-09-10 13:10:09'),(121,'view_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(122,'view_any_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(123,'create_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(124,'update_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(125,'restore_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(126,'restore_any_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(127,'replicate_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(128,'reorder_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(129,'delete_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(130,'delete_any_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(131,'force_delete_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(132,'force_delete_any_deployment::role','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(133,'view_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(134,'view_any_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(135,'create_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(136,'update_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(137,'restore_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(138,'restore_any_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(139,'replicate_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(140,'reorder_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(141,'delete_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(142,'delete_any_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(143,'force_delete_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(144,'force_delete_any_disease::emergency','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(145,'view_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(146,'view_any_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(147,'create_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(148,'update_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(149,'restore_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(150,'restore_any_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(151,'replicate_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(152,'reorder_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(153,'delete_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(154,'delete_any_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(155,'force_delete_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(156,'force_delete_any_emergency::logistic','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(157,'view_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(158,'view_any_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(159,'create_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(160,'update_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(161,'restore_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(162,'restore_any_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(163,'replicate_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(164,'reorder_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(165,'delete_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(166,'delete_any_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(167,'force_delete_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(168,'force_delete_any_emergency::response','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(169,'view_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(170,'view_any_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(171,'create_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(172,'update_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(173,'restore_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(174,'restore_any_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(175,'replicate_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(176,'reorder_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(177,'delete_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(178,'delete_any_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(179,'force_delete_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(180,'force_delete_any_experience::in::epidemiology','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(181,'view_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(182,'view_any_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(183,'create_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(184,'update_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(185,'restore_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(186,'restore_any_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(187,'replicate_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(188,'reorder_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(189,'delete_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(190,'delete_any_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(191,'force_delete_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(192,'force_delete_any_hazardous::materials::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(193,'view_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(194,'view_any_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(195,'create_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(196,'update_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(197,'restore_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(198,'restore_any_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(199,'replicate_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(200,'reorder_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(201,'delete_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(202,'delete_any_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(203,'force_delete_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(204,'force_delete_any_infection::prevent::control','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(205,'view_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(206,'view_any_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(207,'create_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(208,'update_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(209,'restore_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(210,'restore_any_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(211,'replicate_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(212,'reorder_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(213,'delete_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(214,'delete_any_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(215,'force_delete_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(216,'force_delete_any_laboratory::experience','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(217,'view_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(218,'view_any_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(219,'create_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(220,'update_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(221,'restore_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(222,'restore_any_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(223,'replicate_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(224,'reorder_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(225,'delete_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(226,'delete_any_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(227,'force_delete_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(228,'force_delete_any_month','web','2023-09-10 13:10:10','2023-09-10 13:10:10'),(229,'view_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(230,'view_any_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(231,'create_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(232,'update_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(233,'restore_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(234,'restore_any_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(235,'replicate_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(236,'reorder_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(237,'delete_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(238,'delete_any_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(239,'force_delete_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(240,'force_delete_any_nutrition::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(241,'view_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(242,'view_any_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(243,'create_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(244,'update_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(245,'restore_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(246,'restore_any_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(247,'replicate_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(248,'reorder_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(249,'delete_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(250,'delete_any_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(251,'force_delete_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(252,'force_delete_any_profession','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(253,'view_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(254,'view_any_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(255,'create_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(256,'update_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(257,'restore_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(258,'restore_any_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(259,'replicate_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(260,'reorder_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(261,'delete_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(262,'delete_any_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(263,'force_delete_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(264,'force_delete_any_psychosocial::experience','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(265,'view_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(266,'view_any_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(267,'create_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(268,'update_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(269,'restore_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(270,'restore_any_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(271,'replicate_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(272,'reorder_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(273,'delete_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(274,'delete_any_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(275,'force_delete_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(276,'force_delete_any_qualification','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(277,'view_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(278,'view_any_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(279,'create_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(280,'update_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(281,'restore_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(282,'restore_any_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(283,'replicate_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(284,'reorder_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(285,'delete_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(286,'delete_any_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(287,'force_delete_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(288,'force_delete_any_readiness::and::rt::member','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(289,'view_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(290,'view_any_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(291,'create_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(292,'update_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(293,'restore_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(294,'restore_any_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(295,'replicate_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(296,'reorder_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(297,'delete_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(298,'delete_any_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(299,'force_delete_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(300,'force_delete_any_region','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(301,'view_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(302,'view_any_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(303,'create_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(304,'update_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(305,'restore_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(306,'restore_any_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(307,'replicate_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(308,'reorder_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(309,'delete_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(310,'delete_any_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(311,'force_delete_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(312,'force_delete_any_register','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(313,'view_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(314,'view_any_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(315,'create_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(316,'update_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(317,'restore_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(318,'restore_any_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(319,'replicate_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(320,'reorder_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(321,'delete_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(322,'delete_any_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(323,'force_delete_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(324,'force_delete_any_request::database','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(325,'view_request::type','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(326,'view_any_request::type','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(327,'create_request::type','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(328,'update_request::type','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(329,'restore_request::type','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(330,'restore_any_request::type','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(331,'replicate_request::type','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(332,'reorder_request::type','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(333,'delete_request::type','web','2023-09-10 13:10:11','2023-09-10 13:10:11'),(334,'delete_any_request::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(335,'force_delete_request::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(336,'force_delete_any_request::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(337,'view_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(338,'view_any_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(339,'create_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(340,'update_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(341,'restore_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(342,'restore_any_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(343,'replicate_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(344,'reorder_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(345,'delete_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(346,'delete_any_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(347,'force_delete_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(348,'force_delete_any_requester','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(349,'view_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(350,'view_any_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(351,'create_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(352,'update_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(353,'restore_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(354,'restore_any_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(355,'replicate_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(356,'reorder_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(357,'delete_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(358,'delete_any_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(359,'force_delete_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(360,'force_delete_any_rrt::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(361,'view_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(362,'view_any_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(363,'create_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(364,'update_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(365,'restore_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(366,'restore_any_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(367,'replicate_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(368,'reorder_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(369,'delete_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(370,'delete_any_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(371,'force_delete_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(372,'force_delete_any_rrt::training','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(373,'view_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(374,'view_any_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(375,'create_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(376,'update_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(377,'restore_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(378,'restore_any_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(379,'replicate_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(380,'reorder_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(381,'delete_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(382,'delete_any_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(383,'force_delete_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(384,'force_delete_any_security::manager::experience','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(385,'view_shield::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(386,'view_any_shield::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(387,'create_shield::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(388,'update_shield::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(389,'delete_shield::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(390,'delete_any_shield::role','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(391,'view_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(392,'view_any_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(393,'create_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(394,'update_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(395,'restore_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(396,'restore_any_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(397,'replicate_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(398,'reorder_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(399,'delete_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(400,'delete_any_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(401,'force_delete_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(402,'force_delete_any_test::type','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(403,'view_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(404,'view_any_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(405,'create_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(406,'update_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(407,'restore_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(408,'restore_any_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(409,'replicate_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(410,'reorder_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(411,'delete_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(412,'delete_any_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(413,'force_delete_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(414,'force_delete_any_training::level','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(415,'view_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(416,'view_any_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(417,'create_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(418,'update_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(419,'restore_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(420,'restore_any_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(421,'replicate_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(422,'reorder_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(423,'delete_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(424,'delete_any_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(425,'force_delete_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(426,'force_delete_any_user','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(427,'view_users','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(428,'view_any_users','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(429,'create_users','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(430,'update_users','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(431,'restore_users','web','2023-09-10 13:10:12','2023-09-10 13:10:12'),(432,'restore_any_users','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(433,'replicate_users','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(434,'reorder_users','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(435,'delete_users','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(436,'delete_any_users','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(437,'force_delete_users','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(438,'force_delete_any_users','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(439,'view_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(440,'view_any_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(441,'create_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(442,'update_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(443,'restore_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(444,'restore_any_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(445,'replicate_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(446,'reorder_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(447,'delete_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(448,'delete_any_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(449,'force_delete_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(450,'force_delete_any_vaccination','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(451,'view_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(452,'view_any_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(453,'create_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(454,'update_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(455,'restore_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(456,'restore_any_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(457,'replicate_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(458,'reorder_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(459,'delete_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(460,'delete_any_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(461,'force_delete_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(462,'force_delete_any_water::sanitation::hygiene::wash','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(463,'page_MyProfilePage','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(464,'widget_WelcomeWidget','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(465,'widget_StatsOverview','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(466,'widget_Latestopportunitites','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(467,'widget_latestApplications','web','2023-09-10 13:10:13','2023-09-10 13:10:13'),(468,'view_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(469,'view_any_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(470,'create_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(471,'update_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(472,'restore_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(473,'restore_any_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(474,'replicate_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(475,'reorder_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(476,'delete_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(477,'delete_any_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(478,'force_delete_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(479,'force_delete_any_state','web','2023-09-12 02:06:49','2023-09-12 02:06:49'),(480,'view_member::evaluation','web','2023-09-12 02:13:06','2023-09-12 02:13:06'),(481,'view_any_member::evaluation','web','2023-09-12 02:13:06','2023-09-12 02:13:06'),(482,'create_member::evaluation','web','2023-09-12 02:13:06','2023-09-12 02:13:06'),(483,'update_member::evaluation','web','2023-09-12 02:13:06','2023-09-12 02:13:06'),(484,'restore_member::evaluation','web','2023-09-12 02:13:06','2023-09-12 02:13:06'),(485,'restore_any_member::evaluation','web','2023-09-12 02:13:07','2023-09-12 02:13:07'),(486,'replicate_member::evaluation','web','2023-09-12 02:13:07','2023-09-12 02:13:07'),(487,'reorder_member::evaluation','web','2023-09-12 02:13:07','2023-09-12 02:13:07'),(488,'delete_member::evaluation','web','2023-09-12 02:13:07','2023-09-12 02:13:07'),(489,'delete_any_member::evaluation','web','2023-09-12 02:13:07','2023-09-12 02:13:07'),(490,'force_delete_member::evaluation','web','2023-09-12 02:13:07','2023-09-12 02:13:07'),(491,'force_delete_any_member::evaluation','web','2023-09-12 02:13:07','2023-09-12 02:13:07'),(492,'view_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(493,'view_any_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(494,'create_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(495,'update_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(496,'restore_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(497,'restore_any_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(498,'replicate_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(499,'reorder_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(500,'delete_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(501,'delete_any_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(502,'force_delete_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(503,'force_delete_any_evaluation','web','2023-09-12 02:13:18','2023-09-12 02:13:18'),(504,'view_user::data','web','2023-09-17 05:21:57','2023-09-17 05:21:57'),(505,'update_user::data','web','2023-09-17 05:21:57','2023-09-17 05:21:57'),(506,'view_any_user::data','web','2023-09-17 11:16:23','2023-09-17 11:16:23'),(507,'create_user::data','web','2023-09-17 11:21:08','2023-09-17 11:21:08'),(508,'restore_user::data','web','2023-09-17 11:21:08','2023-09-17 11:21:08'),(509,'restore_any_user::data','web','2023-09-17 11:21:08','2023-09-17 11:21:08'),(510,'replicate_user::data','web','2023-09-17 11:21:08','2023-09-17 11:21:08'),(511,'reorder_user::data','web','2023-09-17 11:21:08','2023-09-17 11:21:08'),(512,'delete_user::data','web','2023-09-17 11:21:08','2023-09-17 11:21:08'),(513,'delete_any_user::data','web','2023-09-17 11:21:08','2023-09-17 11:21:08'),(514,'force_delete_user::data','web','2023-09-17 11:21:08','2023-09-17 11:21:08'),(515,'force_delete_any_user::data','web','2023-09-17 11:21:08','2023-09-17 11:21:08');
/*!40000 ALTER TABLE `permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `profession`
--

DROP TABLE IF EXISTS `profession`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `profession` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `profession`
--

LOCK TABLES `profession` WRITE;
/*!40000 ALTER TABLE `profession` DISABLE KEYS */;
INSERT INTO `profession` VALUES (1,'Nurse','2023-09-07 03:14:26','2023-09-07 03:14:26'),(2,'Doctor','2023-09-07 03:14:37','2023-09-07 03:14:37'),(3,'Paramedic','2023-09-07 03:14:51','2023-09-07 03:14:51'),(4,'Security Manager','2023-09-07 09:09:47','2023-09-07 09:09:47');
/*!40000 ALTER TABLE `profession` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `psychosocial_experiences`
--

DROP TABLE IF EXISTS `psychosocial_experiences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `psychosocial_experiences` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `psychosocial_experience_id` bigint unsigned DEFAULT NULL,
  `licensee_id` bigint unsigned DEFAULT NULL,
  `psychiatrist_id` bigint unsigned DEFAULT NULL,
  `advisor_id` bigint unsigned DEFAULT NULL,
  `social_worker_id` bigint unsigned DEFAULT NULL,
  `trauma_based_therapy_id` bigint unsigned DEFAULT NULL,
  `cognitive_behavioural_therapy_id` bigint unsigned DEFAULT NULL,
  `psychodynamic_therapy_id` bigint unsigned DEFAULT NULL,
  `psychoanalytic_therapy_id` bigint unsigned DEFAULT NULL,
  `integrative_or_holistic_therapy_id` bigint unsigned DEFAULT NULL,
  `humanistic_therapy_id` bigint unsigned DEFAULT NULL,
  `pediatric_therapy_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `psychosocial_experience_fk_7662543` (`psychosocial_experience_id`),
  KEY `licensee_fk_7662544` (`licensee_id`),
  KEY `psychiatrist_fk_7662545` (`psychiatrist_id`),
  KEY `advisor_fk_7662546` (`advisor_id`),
  KEY `social_worker_fk_7662547` (`social_worker_id`),
  KEY `trauma_based_therapy_fk_7662548` (`trauma_based_therapy_id`),
  KEY `cognitive_behavioural_therapy_fk_7662549` (`cognitive_behavioural_therapy_id`),
  KEY `psychodynamic_therapy_fk_7662550` (`psychodynamic_therapy_id`),
  KEY `psychoanalytic_therapy_fk_7662551` (`psychoanalytic_therapy_id`),
  KEY `integrative_or_holistic_therapy_fk_7662552` (`integrative_or_holistic_therapy_id`),
  KEY `humanistic_therapy_fk_7662553` (`humanistic_therapy_id`),
  KEY `pediatric_therapy_fk_7662554` (`pediatric_therapy_id`),
  KEY `user_fk_7664207` (`user_id`),
  CONSTRAINT `advisor_fk_7662546` FOREIGN KEY (`advisor_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `cognitive_behavioural_therapy_fk_7662549` FOREIGN KEY (`cognitive_behavioural_therapy_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `humanistic_therapy_fk_7662553` FOREIGN KEY (`humanistic_therapy_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `integrative_or_holistic_therapy_fk_7662552` FOREIGN KEY (`integrative_or_holistic_therapy_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `licensee_fk_7662544` FOREIGN KEY (`licensee_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `pediatric_therapy_fk_7662554` FOREIGN KEY (`pediatric_therapy_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `psychiatrist_fk_7662545` FOREIGN KEY (`psychiatrist_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `psychoanalytic_therapy_fk_7662551` FOREIGN KEY (`psychoanalytic_therapy_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `psychodynamic_therapy_fk_7662550` FOREIGN KEY (`psychodynamic_therapy_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `psychosocial_experience_fk_7662543` FOREIGN KEY (`psychosocial_experience_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `social_worker_fk_7662547` FOREIGN KEY (`social_worker_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `trauma_based_therapy_fk_7662548` FOREIGN KEY (`trauma_based_therapy_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_7664207` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `psychosocial_experiences`
--

LOCK TABLES `psychosocial_experiences` WRITE;
/*!40000 ALTER TABLE `psychosocial_experiences` DISABLE KEYS */;
INSERT INTO `psychosocial_experiences` VALUES (1,'2023-08-06 10:46:30','2023-08-06 10:46:30',NULL,NULL,1,4,3,4,3,2,1,4,4,4,3,1),(2,'2023-08-07 04:38:58','2023-08-07 04:38:58',NULL,NULL,1,1,2,1,1,3,2,2,1,1,1,1),(3,'2023-08-07 04:53:00','2023-08-07 04:53:00',NULL,NULL,4,4,2,3,4,1,1,1,3,1,1,2);
/*!40000 ALTER TABLE `psychosocial_experiences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `qualifications`
--

DROP TABLE IF EXISTS `qualifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `qualifications` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `year_started` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `year_completed` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `institute` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `upload_certificates` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_fk_4567664212` (`user_id`),
  CONSTRAINT `user_fk_4567664212` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `qualifications`
--

LOCK TABLES `qualifications` WRITE;
/*!40000 ALTER TABLE `qualifications` DISABLE KEYS */;
INSERT INTO `qualifications` VALUES (2,'MSc. Medicine','2023-08-10','2023-08-18','Makerere Univ','2023-08-08 07:19:54','2023-09-07 08:42:01',NULL,1,'[\"SQvLIKFA9tHAWHZZpKBnKJsqhnfkYN-metaMjg1LUFmcmljYW4tRmllbGQtRXBpZGVtaW9sb2d5LnBkZg==-.pdf\",\"WRfir9AProEBsYPQI8S6kTBLeLXxNg-metaMjg0LUFmcmljYW4tRmllbGQtRXBpZGVtaW9sb2d5LnBkZg==-.pdf\"]'),(3,'BSc. Medicine','2023-08-01','2023-08-04','MAK','2023-08-08 07:25:45','2023-08-08 07:25:45',NULL,1,NULL),(4,'test quail','2023-09-11','2023-09-30','test Uni','2023-09-07 09:11:28','2023-09-07 09:11:28',NULL,3,'[\"6smxBVMAIrWpcire12QxKnJ7vWfNzv-metaRG9jdW1lbnQgMjAucGRm-.pdf\",\"n25Cw59bidjhWxXx7VEEwYlOdJnmRI-metaMjg1LUFmcmljYW4tRmllbGQtRXBpZGVtaW9sb2d5LnBkZg==-.pdf\"]');
/*!40000 ALTER TABLE `qualifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `readiness_and_rt_member_vaccinationation`
--

DROP TABLE IF EXISTS `readiness_and_rt_member_vaccinationation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `readiness_and_rt_member_vaccinationation` (
  `readiness_and_rt_member_id` bigint unsigned NOT NULL,
  `vaccinationation_id` bigint unsigned NOT NULL,
  KEY `readiness_and_rt_member_id_fk_7664239` (`readiness_and_rt_member_id`),
  CONSTRAINT `readiness_and_rt_member_id_fk_7664239` FOREIGN KEY (`readiness_and_rt_member_id`) REFERENCES `readiness_and_rt_members` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `readiness_and_rt_member_vaccinationation`
--

LOCK TABLES `readiness_and_rt_member_vaccinationation` WRITE;
/*!40000 ALTER TABLE `readiness_and_rt_member_vaccinationation` DISABLE KEYS */;
/*!40000 ALTER TABLE `readiness_and_rt_member_vaccinationation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `readiness_and_rt_members`
--

DROP TABLE IF EXISTS `readiness_and_rt_members`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `readiness_and_rt_members` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `training_1_date` date DEFAULT NULL,
  `training_1_expiration_date` date DEFAULT NULL,
  `training_2_date` date DEFAULT NULL,
  `training_2_expiration_date` date DEFAULT NULL,
  `training_3_date` date DEFAULT NULL,
  `training_3_expiration_date` date DEFAULT NULL,
  `training_4_date` date DEFAULT NULL,
  `training_4_expiration_date` date DEFAULT NULL,
  `upload_certified_rrt_training` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `upload_medical_certificate` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `upload_certificate_of_physical_fitness` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `training_support_documents` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `training_1_id` bigint unsigned DEFAULT NULL,
  `training_2_id` bigint unsigned DEFAULT NULL,
  `trainings_3_id` bigint unsigned DEFAULT NULL,
  `training_4_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_fk_7664230` (`user_id`),
  KEY `training_1_fk_7664246` (`training_1_id`),
  KEY `training_2_fk_7664248` (`training_2_id`),
  KEY `trainings_3_fk_7664250` (`trainings_3_id`),
  KEY `training_4_fk_7664252` (`training_4_id`),
  CONSTRAINT `training_1_fk_7664246` FOREIGN KEY (`training_1_id`) REFERENCES `rrt_trainings` (`id`),
  CONSTRAINT `training_2_fk_7664248` FOREIGN KEY (`training_2_id`) REFERENCES `rrt_trainings` (`id`),
  CONSTRAINT `training_4_fk_7664252` FOREIGN KEY (`training_4_id`) REFERENCES `rrt_trainings` (`id`),
  CONSTRAINT `trainings_3_fk_7664250` FOREIGN KEY (`trainings_3_id`) REFERENCES `rrt_trainings` (`id`),
  CONSTRAINT `user_fk_7664230` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `readiness_and_rt_members`
--

LOCK TABLES `readiness_and_rt_members` WRITE;
/*!40000 ALTER TABLE `readiness_and_rt_members` DISABLE KEYS */;
INSERT INTO `readiness_and_rt_members` VALUES (1,'2004-08-01','1978-10-27','1980-04-16','1996-09-06','2013-01-02','1992-02-27','1998-10-07','1973-01-10','LN2emjzzsmJPtvW4fqFkhOLQN19lwG-metabGlzdC1vZi1ub24tY29tcGxpYW50LWNvbXBhbmllcy1mb3ItZmFpbHVyZS10by1maWxlLWNvbXBhbnktYW5udWFsLXJldHVybnMtMTY4OTg2NDUxNi5wZGY=-.pdf','EdTiMw8x3VbSLH1sxOTaV6593FDFOK-metaRGlnaXRhbE9jZWFuIFBheW1lbnQgUmVjZWlwdCAjMTA4MDI0Njg2LnBkZg==-.pdf','T5pXcvSWec5P0D6VkWTaXv0UFQX74n-metaRGlnaXRhbE9jZWFuIFBheW1lbnQgUmVjZWlwdCAjMTA4MDI0Njg2LnBkZg==-.pdf','[\"OVQVktvSaZvLBm5dNvnrGWUat9X6j9-metaSW52b2ljZV8yMzY2NTg1LTIwMjMtMDctMDgtMS5wZGY=-.pdf\",\"T8wFIf2wX7cKJdOOVYp4yFJaz2pDfE-metaRGlnaXRhbE9jZWFuIFBheW1lbnQgUmVjZWlwdCAjMTA4MDI0Njg2LnBkZg==-.pdf\"]','2023-08-09 09:49:24','2023-08-23 13:43:58',NULL,NULL,2,6,7,7),(2,'2006-02-22','1992-01-23','1998-09-21','1979-01-03','2004-07-19','2003-02-20','1986-07-02','2009-10-07','NxQeZwm5X8O1uTptrRjHTdSnwZjqRZ-metaQ291bnRyeUNvZGVzLmRvYw==-.doc','wUFMJyIfCP05GfD9PQO2fCvy3q1ra3-metaQ291bnRyeUNvZGVzLmRvYw==-.doc','AOBzRdp7WdHvr2moMiNPy7iWH8UFIx-metaQ291bnRyeUNvZGVzLmRvYw==-.doc',NULL,'2023-08-09 09:57:14','2023-08-09 09:57:14',NULL,2,3,5,4,4),(3,'2012-05-30','1975-03-24','1984-12-07','2010-11-01','1981-12-08','1974-03-15','2012-04-22','1994-01-31','PLrHas8ZEWHVVf05nA7TmOaZYXg5G1-metaQ291bnRyeUNvZGVzLmRvYw==-.doc','M1KPcGyB1Fy7YeC1Q3VEq1XOUu5bYy-metaQ291bnRyeUNvZGVzLmRvYw==-.doc','xDMqJCcRhNiXrPDSeD0glxkrC1oH4F-metaQ291bnRyeUNvZGVzLmRvYw==-.doc','[\"1t3PKtVX2PCFIlOc2vaVTItDfCuPu8-metaQ291bnRyeUNvZGVzLmRvYw==-.doc\",\"vvVZG86s2fa3lgJv8x3vTmHgm3wyYF-metaQ291bnRyeUNvZGVzICgxKS5kb2M=-.doc\"]','2023-08-09 10:07:17','2023-08-09 10:07:17',NULL,2,5,6,1,6),(4,'1996-11-27','2009-11-11','2017-02-27','2007-05-29','1993-11-05','2019-05-26','1977-01-06','1976-12-08',NULL,NULL,NULL,NULL,'2023-08-23 14:29:27','2023-08-23 14:29:27',NULL,3,4,4,5,1),(5,'1996-11-27','2009-11-11','2017-02-27','2007-05-29','1993-11-05','2019-05-26','1977-01-06','1976-12-08',NULL,NULL,NULL,NULL,'2023-08-23 14:35:54','2023-08-23 14:35:54',NULL,3,4,4,5,1),(6,'1988-04-05','1989-04-10','2002-12-24','1989-12-26','1990-12-22','1999-10-17','1990-09-27','1984-09-24',NULL,NULL,NULL,'[]','2023-09-01 04:42:44','2023-09-01 04:42:44',NULL,1,1,6,2,6),(7,'1978-08-25','2017-10-24','1970-05-02','2004-03-17','1981-09-19','2023-05-28','1984-12-08','2011-07-04',NULL,NULL,NULL,'[]','2023-09-19 08:11:52','2023-09-19 08:11:52',NULL,5,7,1,5,2);
/*!40000 ALTER TABLE `readiness_and_rt_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `regions`
--

DROP TABLE IF EXISTS `regions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `regions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `regions_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `regions`
--

LOCK TABLES `regions` WRITE;
/*!40000 ALTER TABLE `regions` DISABLE KEYS */;
INSERT INTO `regions` VALUES (1,'Haut-Katanga','HK','2023-08-06 09:20:03','2023-08-06 09:21:17',NULL),(2,'Kinshasa','KN','2023-08-06 09:21:29','2023-08-06 09:21:29',NULL),(3,'Kongo Central','BC','2023-08-06 09:21:37','2023-08-06 09:21:37',NULL),(4,'Kwango','KG','2023-08-06 09:21:48','2023-08-06 09:21:48',NULL),(5,'Kwilu','KL','2023-08-06 09:21:56','2023-08-06 09:21:56',NULL),(6,'Mai-Ndombe','MN','2023-08-06 09:22:05','2023-08-06 09:22:05',NULL),(7,'Kasaï','KS','2023-08-06 09:22:13','2023-08-06 09:22:13',NULL),(8,'Kasaï-Central','KC','2023-08-06 09:22:20','2023-08-06 09:22:20',NULL),(9,'Kasaï-Oriental','KE','2023-08-06 09:22:33','2023-08-06 09:22:33',NULL),(10,'Lomami','LO','2023-08-06 09:22:42','2023-08-06 09:22:42',NULL),(11,'Sankuru','SA','2023-08-06 09:22:49','2023-08-06 09:22:49',NULL),(12,'Maniema','MA','2023-08-06 09:22:58','2023-08-06 09:22:58',NULL),(13,'South Kivu','SK','2023-08-06 09:23:05','2023-08-06 09:23:05',NULL),(14,'	North Kivu','NK','2023-08-06 09:23:15','2023-08-06 09:23:15',NULL),(15,'Ituri','IT','2023-08-06 09:23:22','2023-08-06 09:23:22',NULL),(16,'Haut-Uele','HU','2023-08-06 09:23:29','2023-08-06 09:23:29',NULL),(17,'Tshopo','TO','2023-08-06 09:23:38','2023-08-06 09:23:38',NULL),(18,'Bas-Uele','BU','2023-08-06 09:23:48','2023-08-06 09:23:48',NULL),(19,'Nord-Ubangi','NU','2023-08-06 09:23:57','2023-08-06 09:23:57',NULL),(20,'Mongala','MO','2023-08-06 09:24:41','2023-08-06 09:24:41',NULL),(21,'Sud-Ubangi','SU','2023-08-06 09:24:47','2023-08-06 09:24:47',NULL),(22,'	Équateur','EQ','2023-08-06 09:24:55','2023-08-06 09:24:55',NULL),(23,'Tshuapa','TU','2023-08-06 09:25:04','2023-08-06 09:25:04',NULL),(24,'Tanganyika','TA','2023-08-06 09:25:17','2023-08-06 09:25:17',NULL),(25,'Haut-Lomami','HL','2023-08-06 09:25:28','2023-08-06 09:25:28',NULL),(26,'Lualaba','LU','2023-08-06 09:25:40','2023-08-06 09:25:40',NULL);
/*!40000 ALTER TABLE `regions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `registers`
--

DROP TABLE IF EXISTS `registers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `registers` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name_of_supervisory_line_manager` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `supervisorr_email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `fetp_mmber` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `fetp_graduate` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `city_of_residence` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `workplace` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email_address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `national_agency_employee` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `other_qualifications` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `public_health_experience_drc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `if_yes_number` double(8,2) DEFAULT NULL,
  `eoc_experience` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `eoc_if_yes_number_of_years` int DEFAULT NULL,
  `international_work_experience_no_study_abroad` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `number_international_deployments` int DEFAULT NULL,
  `experience_as_a_team_leader` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `if_yes_above_number_of_deployments_as_tl` int DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `country_residence_id` bigint unsigned DEFAULT NULL,
  `qualification_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `department_id` bigint unsigned NOT NULL,
  `agency_structure_id` bigint unsigned NOT NULL,
  `profession_id` bigint unsigned DEFAULT NULL,
  `sex` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_of_birth` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `national_id_number` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `service_number` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `nationality_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `profession_fk_780063222` (`profession_id`),
  CONSTRAINT `profession_fk_780063222` FOREIGN KEY (`profession_id`) REFERENCES `profession` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registers`
--

LOCK TABLES `registers` WRITE;
/*!40000 ALTER TABLE `registers` DISABLE KEYS */;
INSERT INTO `registers` VALUES (1,'Ulla Monroe','qikaz@mailinator.com','Velit placeat voluptatem est magnam doloribus explicabo Quia animi est animi aliquip sed qui enim amet iusto adipisci sunt optio','Quod deserunt necessitatibus totam reprehenderit veniam','Id et aliquip quo et','<p>asdadasd</p>','000 1705 396-9024','vodavoloxo@mailinator.com','Et et aut aut eos ut at in labore eveniet magna ipsum quasi id quasi','<p>asdadasda</p>','Eveniet in mollitia eius quos consequat Ea sit sint rem obcaecati et porro adipisicing eligendi',640.00,'In velit placeat nemo sit eos cupiditate id ducimus eum sunt impedit quis ipsum',728,'Consectetur et autem dignissimos aliquam voluptate veritatis quidem voluptates consectetur eum dolor ea quo aut cupiditate labore provident',322,'Occaecat cupidatat ut pariatur Dolore qui vitae veniam ipsum vel aliquid qui ut amet numquam facere',19,'2023-08-08 06:15:44','2023-08-08 06:15:44',NULL,2,NULL,NULL,0,0,NULL,NULL,NULL,NULL,NULL,0),(2,'Mark Morgan','pasad@mailinator.com','Yes','Yes','Mombasa','<p>test</p>','1 618 698-7189','lutyxo@mailinator.com','Yes',NULL,'No',843.00,'No',163,'Yes',969,'Yes',219,'2023-08-08 08:34:42','2023-09-07 03:32:47',NULL,3,NULL,1,2,1,2,NULL,NULL,NULL,NULL,0),(3,'Arden Mccullough','netamy@mailinator.com','Yes','Yes','Numquam','<p>test</p>','795762-2085','cekumiby@mailinator.com','No',NULL,'No',165.00,'No',245,'Yes',930,'No',831,'2023-09-11 15:30:07','2023-09-14 03:58:20',NULL,2,NULL,5,2,2,1,NULL,NULL,'329','922',5);
/*!40000 ALTER TABLE `registers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `request_database_request_type`
--

DROP TABLE IF EXISTS `request_database_request_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `request_database_request_type` (
  `request_database_id` bigint unsigned NOT NULL,
  `request_type_id` bigint unsigned NOT NULL,
  KEY `request_database_id_fk_7617740` (`request_database_id`),
  KEY `request_type_id_fk_7617740` (`request_type_id`),
  CONSTRAINT `request_database_id_fk_7617740` FOREIGN KEY (`request_database_id`) REFERENCES `request_databases` (`id`) ON DELETE CASCADE,
  CONSTRAINT `request_type_id_fk_7617740` FOREIGN KEY (`request_type_id`) REFERENCES `request_types` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `request_database_request_type`
--

LOCK TABLES `request_database_request_type` WRITE;
/*!40000 ALTER TABLE `request_database_request_type` DISABLE KEYS */;
INSERT INTO `request_database_request_type` VALUES (7,1),(7,2),(8,2),(9,2),(10,1),(11,2),(11,3);
/*!40000 ALTER TABLE `request_database_request_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `request_databases`
--

DROP TABLE IF EXISTS `request_databases`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `request_databases` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `request_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `request_date` date DEFAULT NULL,
  `request_approval` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_of_request_approval_denial` date DEFAULT NULL,
  `if_other_above_specify` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci,
  `request_duration` int DEFAULT NULL,
  `duration_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `requester_id` bigint unsigned DEFAULT NULL,
  `request_id` bigint unsigned DEFAULT NULL,
  `request_location_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `requester_fk_7700632` (`requester_id`),
  KEY `request_fk_7700636` (`request_id`),
  KEY `request_location_fk_7700639` (`request_location_id`),
  CONSTRAINT `request_fk_7700636` FOREIGN KEY (`request_id`) REFERENCES `request_types` (`id`),
  CONSTRAINT `request_location_fk_7700639` FOREIGN KEY (`request_location_id`) REFERENCES `regions` (`id`),
  CONSTRAINT `requester_fk_7700632` FOREIGN KEY (`requester_id`) REFERENCES `requesters` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `request_databases`
--

LOCK TABLES `request_databases` WRITE;
/*!40000 ALTER TABLE `request_databases` DISABLE KEYS */;
INSERT INTO `request_databases` VALUES (1,'Martha Rowland request to stop malaria','1974-02-27','Approved','1972-08-02','<p>xcsdsdfgsdfgdfgdfg</p>',57,'Days','2023-08-10 13:14:11','2023-08-11 11:49:41',NULL,2,3,18),(2,'Michael Cantrell','2016-08-23','pending',NULL,'<p>ghgjhhgjghjfh</p>',15,'Weeks','2023-08-10 13:29:18','2023-08-11 04:09:48','2023-08-11 04:09:48',1,NULL,14),(3,'Michael Cantrell','2016-08-23','Approved',NULL,'<p>ghgjhhgjghjfh</p>',15,'Weeks','2023-08-10 13:30:12','2023-08-14 06:10:27',NULL,1,NULL,14),(4,'Debitis et quod veniam. Reiciendis atque repellendus illum nemo aut.','2023-03-01',NULL,NULL,'<p>Debitis et quod veniam. Reiciendis atque repellendus illum nemo aut. Numquam commodi sequi delectus ad nesciunt.Asperiores voluptatibus laudantium sequi autem in repellat praesentium accusamus. Perferendis minima cumque asperiores delectus reprehenderit. Unde mollitia aspernatur distinctio corrupti numquam delectus.Numquam adipisci fugiat sint ducimus odio sunt quae dolore. Possimus maxime quo aut veniam nam minima. Blanditiis id fugiat ipsum iure ea.Debitis et quod veniam. Reiciendis atque repellendus illum nemo aut. Numquam commodi sequi delectus ad nesciunt.Asperiores voluptatibus laudantium sequi autem in repellat praesentium accusamus. Perferendis minima cumque asperiores delectus reprehenderit. Unde mollitia aspernatur distinctio corrupti numquam delectus.Numquam adipisci fugiat sint ducimus odio sunt quae dolore. Possimus maxime quo aut veniam nam minima. Blanditiis id fugiat ipsum iure ea.</p>',12,'Days','2023-08-10 13:34:06','2023-08-11 04:09:48','2023-08-11 04:09:48',2,NULL,8),(5,'Debitis et quod veniam. Reiciendis atque repellendus illum nemo aut.','2023-03-01','Approved',NULL,'<p>Debitis et quod veniam. Reiciendis atque repellendus illum nemo aut. Numquam commodi sequi delectus ad nesciunt.Asperiores voluptatibus laudantium sequi autem in repellat praesentium accusamus. Perferendis minima cumque asperiores delectus reprehenderit. Unde mollitia aspernatur distinctio corrupti numquam delectus.Numquam adipisci fugiat sint ducimus odio sunt quae dolore. Possimus maxime quo aut veniam nam minima. Blanditiis id fugiat ipsum iure ea.Debitis et quod veniam. Reiciendis atque repellendus illum nemo aut. Numquam commodi sequi delectus ad nesciunt.Asperiores voluptatibus laudantium sequi autem in repellat praesentium accusamus. Perferendis minima cumque asperiores delectus reprehenderit. Unde mollitia aspernatur distinctio corrupti numquam delectus.Numquam adipisci fugiat sint ducimus odio sunt quae dolore. Possimus maxime quo aut veniam nam minima. Blanditiis id fugiat ipsum iure ea.</p>',12,'Days','2023-08-10 13:36:30','2023-09-04 17:23:47',NULL,2,NULL,8),(6,'Cupiditate hic tempora. Iste quae repellendus amet perferendis autem perspiciatis.','2023-07-06','denied','2023-11-12','<p>&nbsp;Quisquam harum fugiat cupiditate at sapiente tempora tempora.Quidem occaecati fugiat. Suscipit dolores sed mollitia. Iure dolorem placeat fuga dolore unde assumenda commodi perspiciatis.Dignissimos velit qui harum ullam quis nihil temporibus. Minus quisquam alias debitis doloremque mollitia ratione. Tenetur atque similique unde iste tempora a quasi.</p>',378,'Years','2023-08-10 13:37:05','2023-08-11 04:09:48','2023-08-11 04:09:48',2,NULL,1),(7,'Philip Morgan','2007-12-12','Pending','2018-06-22','<p>ddfsdfsdfs</p>',86,'Years','2023-08-11 04:03:40','2023-08-14 06:18:11',NULL,3,NULL,24),(8,'Beatrice Cooper123','1995-07-20','pending','2001-06-12','<p>zczxcxczx</p>',44,'Months','2023-08-11 04:37:58','2023-08-11 04:51:47',NULL,1,NULL,22),(9,'test request 123',NULL,'Approved',NULL,'<p>ff</p>',3,'Months','2023-09-06 17:11:33','2023-09-06 17:12:15',NULL,1,NULL,22),(10,'Malaria in Greenland','1996-07-15','Approved','1983-11-28',NULL,40,'Weeks','2023-09-26 03:27:54','2023-09-26 03:28:15',NULL,3,NULL,4),(11,'Georgia Wilkerson Mbandaka','2009-02-07','Approved','1987-01-26',NULL,89,'Weeks','2023-10-04 09:40:55','2023-10-11 10:50:04',NULL,1,NULL,26);
/*!40000 ALTER TABLE `request_databases` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `request_types`
--

DROP TABLE IF EXISTS `request_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `request_types` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `request_types_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `request_types`
--

LOCK TABLES `request_types` WRITE;
/*!40000 ALTER TABLE `request_types` DISABLE KEYS */;
INSERT INTO `request_types` VALUES (1,'	Funding request','2023-08-06 09:30:46','2023-08-06 09:30:46',NULL),(2,'Resource request','2023-08-06 09:30:51','2023-08-06 09:30:51',NULL),(3,'Technical request','2023-08-06 09:30:55','2023-08-06 09:30:55',NULL);
/*!40000 ALTER TABLE `request_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `requesters`
--

DROP TABLE IF EXISTS `requesters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `requesters` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `requesters_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `requesters`
--

LOCK TABLES `requesters` WRITE;
/*!40000 ALTER TABLE `requesters` DISABLE KEYS */;
INSERT INTO `requesters` VALUES (1,'Activated response','2023-08-06 09:31:21','2023-08-06 09:31:21',NULL),(2,'Provincial Departments of Health','2023-08-06 09:31:28','2023-08-06 09:31:28',NULL),(3,'Ministerial Agencies','2023-08-06 09:31:32','2023-08-06 09:31:32',NULL);
/*!40000 ALTER TABLE `requesters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role_has_permissions`
--

DROP TABLE IF EXISTS `role_has_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_has_permissions` (
  `permission_id` bigint unsigned NOT NULL,
  `role_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`role_id`),
  KEY `role_has_permissions_role_id_foreign` (`role_id`),
  CONSTRAINT `role_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `role_has_permissions_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_has_permissions`
--

LOCK TABLES `role_has_permissions` WRITE;
/*!40000 ALTER TABLE `role_has_permissions` DISABLE KEYS */;
INSERT INTO `role_has_permissions` VALUES (1,1),(2,1),(3,1),(4,1),(5,1),(6,1),(7,1),(8,1),(9,1),(10,1),(11,1),(12,1),(13,1),(14,1),(15,1),(16,1),(17,1),(18,1),(19,1),(20,1),(21,1),(22,1),(23,1),(24,1),(25,1),(26,1),(27,1),(28,1),(29,1),(30,1),(31,1),(32,1),(33,1),(34,1),(35,1),(36,1),(37,1),(38,1),(39,1),(40,1),(41,1),(42,1),(43,1),(44,1),(45,1),(46,1),(47,1),(48,1),(49,1),(50,1),(51,1),(52,1),(53,1),(54,1),(55,1),(56,1),(57,1),(58,1),(59,1),(60,1),(61,1),(62,1),(63,1),(64,1),(65,1),(66,1),(67,1),(68,1),(69,1),(70,1),(71,1),(72,1),(73,1),(74,1),(75,1),(76,1),(77,1),(78,1),(79,1),(80,1),(81,1),(82,1),(83,1),(84,1),(85,1),(86,1),(87,1),(88,1),(89,1),(90,1),(91,1),(92,1),(93,1),(94,1),(95,1),(96,1),(98,1),(99,1),(100,1),(101,1),(102,1),(103,1),(104,1),(105,1),(106,1),(107,1),(108,1),(109,1),(110,1),(111,1),(112,1),(113,1),(114,1),(115,1),(116,1),(117,1),(118,1),(119,1),(120,1),(121,1),(122,1),(123,1),(124,1),(125,1),(126,1),(127,1),(128,1),(129,1),(130,1),(131,1),(132,1),(133,1),(134,1),(135,1),(136,1),(137,1),(138,1),(139,1),(140,1),(141,1),(142,1),(143,1),(144,1),(145,1),(146,1),(147,1),(148,1),(149,1),(150,1),(151,1),(152,1),(153,1),(154,1),(155,1),(156,1),(157,1),(158,1),(159,1),(160,1),(161,1),(162,1),(163,1),(164,1),(165,1),(166,1),(167,1),(168,1),(169,1),(170,1),(171,1),(172,1),(173,1),(174,1),(175,1),(176,1),(177,1),(178,1),(179,1),(180,1),(181,1),(182,1),(183,1),(184,1),(185,1),(186,1),(187,1),(188,1),(189,1),(190,1),(191,1),(192,1),(193,1),(194,1),(195,1),(196,1),(197,1),(198,1),(199,1),(200,1),(201,1),(202,1),(203,1),(204,1),(205,1),(206,1),(207,1),(208,1),(209,1),(210,1),(211,1),(212,1),(213,1),(214,1),(215,1),(216,1),(217,1),(218,1),(219,1),(220,1),(221,1),(222,1),(223,1),(224,1),(225,1),(226,1),(227,1),(228,1),(229,1),(230,1),(231,1),(232,1),(233,1),(234,1),(235,1),(236,1),(237,1),(238,1),(239,1),(240,1),(241,1),(242,1),(243,1),(244,1),(245,1),(246,1),(247,1),(248,1),(249,1),(250,1),(251,1),(252,1),(253,1),(254,1),(255,1),(256,1),(257,1),(258,1),(259,1),(260,1),(261,1),(262,1),(263,1),(264,1),(265,1),(266,1),(267,1),(268,1),(269,1),(270,1),(271,1),(272,1),(273,1),(274,1),(275,1),(276,1),(277,1),(278,1),(279,1),(280,1),(281,1),(282,1),(283,1),(284,1),(285,1),(286,1),(287,1),(288,1),(289,1),(290,1),(291,1),(292,1),(293,1),(294,1),(295,1),(296,1),(297,1),(298,1),(299,1),(300,1),(301,1),(302,1),(303,1),(304,1),(305,1),(306,1),(307,1),(308,1),(309,1),(310,1),(311,1),(312,1),(313,1),(314,1),(315,1),(316,1),(317,1),(318,1),(319,1),(320,1),(321,1),(322,1),(323,1),(324,1),(325,1),(326,1),(327,1),(328,1),(329,1),(330,1),(331,1),(332,1),(333,1),(334,1),(335,1),(336,1),(337,1),(338,1),(339,1),(340,1),(341,1),(342,1),(343,1),(344,1),(345,1),(346,1),(347,1),(348,1),(349,1),(350,1),(351,1),(352,1),(353,1),(354,1),(355,1),(356,1),(357,1),(358,1),(359,1),(360,1),(361,1),(362,1),(363,1),(364,1),(365,1),(366,1),(367,1),(368,1),(369,1),(370,1),(371,1),(372,1),(373,1),(374,1),(375,1),(376,1),(377,1),(378,1),(379,1),(380,1),(381,1),(382,1),(383,1),(384,1),(385,1),(386,1),(387,1),(388,1),(389,1),(390,1),(391,1),(392,1),(393,1),(394,1),(395,1),(396,1),(397,1),(398,1),(399,1),(400,1),(401,1),(402,1),(403,1),(404,1),(405,1),(406,1),(407,1),(408,1),(409,1),(410,1),(411,1),(412,1),(413,1),(414,1),(415,1),(416,1),(417,1),(418,1),(419,1),(420,1),(421,1),(422,1),(423,1),(424,1),(425,1),(426,1),(439,1),(440,1),(441,1),(442,1),(443,1),(444,1),(445,1),(446,1),(447,1),(448,1),(449,1),(450,1),(451,1),(452,1),(453,1),(454,1),(455,1),(456,1),(457,1),(458,1),(459,1),(460,1),(461,1),(462,1),(463,1),(464,1),(465,1),(466,1),(467,1),(468,1),(469,1),(470,1),(471,1),(472,1),(473,1),(474,1),(475,1),(476,1),(477,1),(478,1),(479,1),(480,1),(481,1),(482,1),(483,1),(484,1),(485,1),(486,1),(487,1),(488,1),(489,1),(490,1),(491,1),(492,1),(493,1),(494,1),(495,1),(496,1),(497,1),(498,1),(499,1),(500,1),(501,1),(502,1),(503,1),(504,1),(505,1),(506,1),(507,1),(508,1),(509,1),(510,1),(511,1),(512,1),(513,1),(514,1),(515,1),(25,2),(26,2),(27,2),(28,2),(49,2),(50,2),(51,2),(52,2),(61,2),(62,2),(63,2),(64,2),(85,2),(86,2),(87,2),(88,2),(92,2),(97,2),(98,2),(109,2),(110,2),(112,2),(145,2),(146,2),(147,2),(148,2),(157,2),(158,2),(159,2),(160,2),(169,2),(170,2),(171,2),(172,2),(181,2),(182,2),(183,2),(184,2),(193,2),(194,2),(195,2),(196,2),(205,2),(206,2),(207,2),(208,2),(229,2),(230,2),(231,2),(232,2),(253,2),(254,2),(255,2),(256,2),(265,2),(266,2),(267,2),(268,2),(277,2),(278,2),(279,2),(280,2),(301,2),(302,2),(303,2),(304,2),(373,2),(374,2),(375,2),(376,2),(418,2),(451,2),(452,2),(453,2),(454,2),(492,2),(493,2),(494,2),(495,2),(504,2),(505,2),(506,2),(109,3),(110,3),(111,3),(112,3),(313,3),(314,3),(315,3),(316,3),(480,4),(481,4),(482,4),(483,4),(484,4),(485,4),(486,4),(487,4),(488,4),(489,4),(490,4),(491,4),(492,4),(493,4),(494,4),(495,4),(496,4),(497,4),(498,4),(499,4),(500,4),(501,4),(502,4),(503,4),(504,4),(505,4),(506,4),(507,4),(508,4),(509,4),(510,4),(511,4),(512,4),(513,4),(514,4),(515,4);
/*!40000 ALTER TABLE `role_has_permissions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `guard_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `roles_name_guard_name_unique` (`name`,`guard_name`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'Admin','web','2023-09-10 13:10:08','2023-09-10 14:40:07'),(2,'user','web','2023-09-10 13:10:13','2023-09-12 03:48:16'),(3,'Deployment_opportunities_creator','web','2023-09-11 10:11:37','2023-09-11 10:11:37'),(4,'super_admin','web','2023-09-12 02:13:07','2023-09-12 02:13:07');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rrt_roles`
--

DROP TABLE IF EXISTS `rrt_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rrt_roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `rrt_roles_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rrt_roles`
--

LOCK TABLES `rrt_roles` WRITE;
/*!40000 ALTER TABLE `rrt_roles` DISABLE KEYS */;
INSERT INTO `rrt_roles` VALUES (1,'	Psychosocial Manager','2023-08-06 09:35:50','2023-08-06 09:35:50',NULL),(2,'Responsible for health, safety and well-being','2023-08-06 09:35:55','2023-08-06 09:35:55',NULL),(3,'Logistics expert','2023-08-06 09:36:00','2023-08-06 09:36:00',NULL),(4,'	Vaccine expert','2023-08-06 09:36:05','2023-08-06 09:36:05',NULL),(5,'Laboratory expert','2023-08-06 09:36:10','2023-08-06 09:36:10',NULL),(6,'	Expert in risk communication and community engagement','2023-08-06 09:36:15','2023-08-06 09:36:15',NULL),(7,'	WASH','2023-08-06 09:36:18','2023-08-06 09:36:18',NULL),(8,'	Expert in infection prevention and control','2023-08-06 09:36:22','2023-08-06 09:36:22',NULL),(9,'	Expert in case management','2023-08-06 09:36:26','2023-08-06 09:36:26',NULL),(10,'	Data Managers','2023-08-06 09:36:30','2023-08-06 09:36:30',NULL),(11,'	Epidemiologist','2023-08-06 09:36:33','2023-08-06 09:36:33',NULL),(12,'	Team Leader','2023-08-06 09:36:38','2023-08-06 09:36:38',NULL);
/*!40000 ALTER TABLE `rrt_roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rrt_trainings`
--

DROP TABLE IF EXISTS `rrt_trainings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rrt_trainings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `rrt_trainings_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rrt_trainings`
--

LOCK TABLES `rrt_trainings` WRITE;
/*!40000 ALTER TABLE `rrt_trainings` DISABLE KEYS */;
INSERT INTO `rrt_trainings` VALUES (1,'Just-in-time training Monkeypox','2023-08-06 09:37:04','2023-08-06 09:37:04',NULL),(2,'	EVD Just-in-Time Training','2023-08-06 09:37:10','2023-08-06 09:37:10',NULL),(3,'	COVID-19 Just-in-Time Training','2023-08-06 09:37:16','2023-08-06 09:37:16',NULL),(4,'	All-hazard training for new RRT members','2023-08-06 09:37:20','2023-08-06 09:37:20',NULL),(5,'	GOARN BSAFE','2023-08-06 09:37:24','2023-08-06 09:37:24',NULL),(6,'	WHO Incident Management System (Level 2)','2023-08-06 09:37:27','2023-08-06 09:37:27',NULL),(7,'	WHO Incident Management System (Level 1)','2023-08-06 09:37:31','2023-08-06 09:37:31',NULL);
/*!40000 ALTER TABLE `rrt_trainings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `security_manager_experiences`
--

DROP TABLE IF EXISTS `security_manager_experiences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `security_manager_experiences` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `do_you_have_a_service_passport` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `eir_volunteer` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `national_training_insert_name_and_date_of_just_in_time` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name_of_just_in_time_training` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_of_just_in_time_training` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `occupational_health_and_safety_assessment_id` bigint unsigned DEFAULT NULL,
  `osh_y_n_facility_assessment_id` bigint unsigned DEFAULT NULL,
  `development_of_an_incident_action_id` bigint unsigned DEFAULT NULL,
  `other_training_on_osh_id` bigint unsigned DEFAULT NULL,
  `training_received_in_the_field_of_expertise_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `occupational_health_and_safety_assessment_fk_7700518` (`occupational_health_and_safety_assessment_id`),
  KEY `osh_y_n_facility_assessment_fk_7700519` (`osh_y_n_facility_assessment_id`),
  KEY `development_of_an_incident_action_fk_7700520` (`development_of_an_incident_action_id`),
  KEY `other_training_on_osh_fk_7700521` (`other_training_on_osh_id`),
  KEY `training_received_in_the_field_of_expertise_fk_7700522` (`training_received_in_the_field_of_expertise_id`),
  KEY `user_fk_77359948853` (`user_id`),
  CONSTRAINT `development_of_an_incident_action_fk_7700520` FOREIGN KEY (`development_of_an_incident_action_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `occupational_health_and_safety_assessment_fk_7700518` FOREIGN KEY (`occupational_health_and_safety_assessment_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `osh_y_n_facility_assessment_fk_7700519` FOREIGN KEY (`osh_y_n_facility_assessment_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `other_training_on_osh_fk_7700521` FOREIGN KEY (`other_training_on_osh_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `training_received_in_the_field_of_expertise_fk_7700522` FOREIGN KEY (`training_received_in_the_field_of_expertise_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_77359948853` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `security_manager_experiences`
--

LOCK TABLES `security_manager_experiences` WRITE;
/*!40000 ALTER TABLE `security_manager_experiences` DISABLE KEYS */;
INSERT INTO `security_manager_experiences` VALUES (1,'Yes','Yes',NULL,'safsdfsd',NULL,'2023-09-03 17:14:34','2023-09-03 17:14:34',NULL,4,1,4,5,4,1);
/*!40000 ALTER TABLE `security_manager_experiences` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states`
--

DROP TABLE IF EXISTS `states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `states` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `country_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `states_country_id_foreign` (`country_id`),
  CONSTRAINT `states_country_id_foreign` FOREIGN KEY (`country_id`) REFERENCES `countries` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states`
--

LOCK TABLES `states` WRITE;
/*!40000 ALTER TABLE `states` DISABLE KEYS */;
INSERT INTO `states` VALUES (1,5,'Kampala','2023-09-10 19:36:43','2023-09-10 19:36:43'),(2,5,'Mbarara','2023-09-10 19:36:51','2023-09-10 19:37:05'),(3,1,'Katanga','2023-09-10 19:38:23','2023-09-10 19:38:23'),(4,1,'Haut Katanga','2023-09-10 19:39:46','2023-09-10 19:39:46'),(5,1,'Kinshasa','2023-09-10 19:39:59','2023-09-10 19:39:59'),(6,4,'	Adamaoua','2023-09-11 03:33:43','2023-09-11 03:33:43'),(7,4,'Centre','2023-09-11 03:34:00','2023-09-11 03:34:00'),(8,4,'	Est','2023-09-11 03:34:13','2023-09-11 03:34:13'),(9,2,'Kouilou','2023-09-11 03:34:56','2023-09-11 03:34:56'),(10,2,'Niari','2023-09-11 03:35:17','2023-09-11 03:35:17'),(11,2,'Lékoumou','2023-09-11 03:35:28','2023-09-11 03:35:28'),(12,3,'Bas-Sassandra District','2023-09-11 03:35:53','2023-09-11 03:35:53'),(13,3,'	Comoé','2023-09-11 03:36:30','2023-09-11 03:36:30'),(14,3,'Denguélé','2023-09-11 03:36:41','2023-09-11 03:36:41'),(15,6,'	Arusha Region','2023-09-11 03:47:06','2023-09-11 03:47:06');
/*!40000 ALTER TABLE `states` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `test_types`
--

DROP TABLE IF EXISTS `test_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `test_types` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `material` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `test_types`
--

LOCK TABLES `test_types` WRITE;
/*!40000 ALTER TABLE `test_types` DISABLE KEYS */;
INSERT INTO `test_types` VALUES (1,'Blood Test','Blood','2023-09-07 03:51:02','2023-09-07 03:51:02'),(2,'Stool Test','Stool','2023-09-07 03:51:30','2023-09-07 03:51:30'),(3,'nasopharyngeal swabs','Mucus','2023-09-07 03:51:45','2023-09-07 03:51:45'),(4,'Pap smear','NULL','2023-09-07 09:16:34','2023-09-07 09:16:34');
/*!40000 ALTER TABLE `test_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `training_levels`
--

DROP TABLE IF EXISTS `training_levels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `training_levels` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `training_levels_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `training_levels`
--

LOCK TABLES `training_levels` WRITE;
/*!40000 ALTER TABLE `training_levels` DISABLE KEYS */;
INSERT INTO `training_levels` VALUES (1,'	Expert','2023-08-06 09:11:05','2023-08-06 09:11:05',NULL),(2,'None','2023-08-06 09:11:13','2023-08-07 06:05:14',NULL),(3,'	Advanced','2023-08-06 09:37:56','2023-08-06 09:37:56',NULL),(4,'Intermediate','2023-08-06 09:38:04','2023-08-07 06:04:51',NULL),(5,'Basic','2023-08-07 06:04:32','2023-08-07 06:04:32',NULL);
/*!40000 ALTER TABLE `training_levels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'test user1','gatamamichael@gmail.com',NULL,'$2y$10$U7VR0Ae16KnYJWPiO6r9ye7P5Kd6bobuDtPtBJ8rlSOnD95pYf6xO',NULL,'2023-08-06 08:52:56','2023-10-16 07:46:15'),(2,'gatama michael','testuser2@test.com',NULL,'$2y$10$v66uo0SrZgzBV.3CGRnZfOvT4r8.E5H.HbxAVpeDbN0FDcD.ZJyGm',NULL,'2023-08-07 04:51:52','2023-09-19 06:26:11'),(3,'Super Admin','admin@admin.com','2023-08-07 05:35:52','$2y$10$92IXUNpkjO0rOQ5byMi.Ye4oKoEa3Ro9llC/.og/at2.uheWG/igi','viAlFeTzd8r7OEUb7ETe7HFnqYueCOv0kK1tWmYWyD62vrT2Zq24wWHndR5k','2023-08-07 05:35:52','2023-08-07 05:35:52'),(4,'Alain Magazani.','amagazani@afenet.net',NULL,'$2y$10$odsFXpkq7bD71xcd4WPyB.NM1/SSIovyZViKNKQFyVCRG0eIDafzq',NULL,'2023-09-05 05:38:52','2023-09-05 05:44:51'),(5,'Gabriel Rockerfeller','test4@test.com',NULL,'$2y$10$6oUPHqRgrSWRyH8FytGW.ebsxK6Lvbo.jtZHqiEFXMvLQ0UwWayUq',NULL,'2023-09-10 13:24:02','2023-09-10 13:42:37'),(6,'test user 10','test10@test.com',NULL,'$2y$10$OV3bcXWWwO58GrCuwDEBSOqFIQTo88CLujNcm9n51dWFbSnPD3a46',NULL,'2023-09-10 19:04:04','2023-09-10 19:04:04'),(7,'Deployment creator','deployment@test.com',NULL,'$2y$10$ghdp/ZAdaTwbv60uNR6MLeyWecWSseo8H7Nxgk3v1kztUT/tZnP7C',NULL,'2023-09-11 10:12:31','2023-09-11 10:12:31'),(8,'test user 30','test30@test.com',NULL,'$2y$10$/fEN84qp/jHQhl21Z4SL0.d7dWRjLlM4Rvdaw20z5wjh7fa9J1o/i',NULL,'2023-09-12 09:29:52','2023-09-12 09:29:52'),(9,'test user 5','test5@test.com',NULL,'$2y$10$1JOTds9bcbPQAI3XbhuYbOlpedsu8IHMLxvvyCx1suUO.liXp//fG',NULL,'2023-09-19 09:21:27','2023-09-19 09:21:27'),(10,'Michael Nkanika','michaelnkanika@gmail.com',NULL,'$2y$10$vUYoz1xtOROBg142cGwkPOMYqOciU3pvQcXfgwcAwWZiPkwsnT8ym',NULL,'2023-09-27 07:40:21','2023-09-27 07:40:21'),(11,'test','test11@test.com',NULL,'$2y$10$3vLZ.UgTCv5WHDjquRsfxu4rEqxletiKWJ8AxLBnABD4Fp8uBhrEa',NULL,'2023-10-04 04:35:46','2023-10-04 04:35:46'),(12,'test user 14','testuser14@test.com',NULL,'$2y$10$i3D7gF0bVPSwOlpD8xgoCOgi3WI5nd64mP20xvK0BPYCFlNjXwTRy',NULL,'2023-10-05 06:54:46','2023-10-05 06:54:46'),(13,'test','test123@test.com',NULL,'$2y$10$/WsMjLm8OsRFEEoGDv3cBe0LO4/8mAWIuD7oD6X2rCxsR5Yh7TplG',NULL,'2023-10-11 10:44:39','2023-10-11 10:44:39');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vaccinations`
--

DROP TABLE IF EXISTS `vaccinations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vaccinations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `vaccinations_name_unique` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vaccinations`
--

LOCK TABLES `vaccinations` WRITE;
/*!40000 ALTER TABLE `vaccinations` DISABLE KEYS */;
INSERT INTO `vaccinations` VALUES (1,'	Cholera','2023-08-06 09:12:59','2023-08-06 09:12:59',NULL),(2,'	Yellow fever','2023-08-06 09:13:03','2023-08-06 09:13:03',NULL),(3,'	Rage','2023-08-06 09:13:08','2023-08-06 09:13:08',NULL),(4,'Ebola','2023-08-06 09:13:12','2023-08-06 09:13:12',NULL),(5,'Meningitis','2023-08-06 09:13:16','2023-08-06 09:13:16',NULL),(6,'	Hepatitis B','2023-08-06 09:13:21','2023-08-06 09:13:21',NULL),(7,'Hepatitis A','2023-08-06 09:13:25','2023-08-06 09:13:25',NULL),(8,'COVID-19','2023-08-06 09:13:29','2023-08-06 09:13:29',NULL);
/*!40000 ALTER TABLE `vaccinations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `water_sanitation_hygiene_washes`
--

DROP TABLE IF EXISTS `water_sanitation_hygiene_washes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `water_sanitation_hygiene_washes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `in_healthcare_settings_id` bigint unsigned DEFAULT NULL,
  `in_a_non_medical_id` bigint unsigned DEFAULT NULL,
  `source_water_assessment_id` bigint unsigned DEFAULT NULL,
  `water_analysis_id` bigint unsigned DEFAULT NULL,
  `train_others_on_water_testing_and_aquatab_id` bigint unsigned DEFAULT NULL,
  `water_infrastructure_mapping_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `in_healthcare_settings_fk_7700188` (`in_healthcare_settings_id`),
  KEY `in_a_non_medical_fk_7700189` (`in_a_non_medical_id`),
  KEY `source_water_assessment_fk_7700190` (`source_water_assessment_id`),
  KEY `water_analysis_fk_7700191` (`water_analysis_id`),
  KEY `train_others_on_water_testing_and_aquatab_fk_7700192` (`train_others_on_water_testing_and_aquatab_id`),
  KEY `water_infrastructure_mapping_fk_7700193` (`water_infrastructure_mapping_id`),
  KEY `user_fk_78659948825` (`user_id`),
  CONSTRAINT `in_a_non_medical_fk_7700189` FOREIGN KEY (`in_a_non_medical_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `in_healthcare_settings_fk_7700188` FOREIGN KEY (`in_healthcare_settings_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `source_water_assessment_fk_7700190` FOREIGN KEY (`source_water_assessment_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `train_others_on_water_testing_and_aquatab_fk_7700192` FOREIGN KEY (`train_others_on_water_testing_and_aquatab_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `user_fk_78659948825` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`),
  CONSTRAINT `water_analysis_fk_7700191` FOREIGN KEY (`water_analysis_id`) REFERENCES `training_levels` (`id`),
  CONSTRAINT `water_infrastructure_mapping_fk_7700193` FOREIGN KEY (`water_infrastructure_mapping_id`) REFERENCES `training_levels` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `water_sanitation_hygiene_washes`
--

LOCK TABLES `water_sanitation_hygiene_washes` WRITE;
/*!40000 ALTER TABLE `water_sanitation_hygiene_washes` DISABLE KEYS */;
INSERT INTO `water_sanitation_hygiene_washes` VALUES (1,'2023-08-08 05:05:31','2023-08-08 05:05:31',NULL,1,3,4,2,4,5,1),(2,'2023-08-08 05:12:10','2023-08-15 05:56:55',NULL,3,3,3,3,2,4,2),(3,'2023-09-12 09:16:20','2023-09-12 09:16:20',NULL,3,3,4,5,1,2,3);
/*!40000 ALTER TABLE `water_sanitation_hygiene_washes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `yes_no`
--

DROP TABLE IF EXISTS `yes_no`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `yes_no` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `yes_no`
--

LOCK TABLES `yes_no` WRITE;
/*!40000 ALTER TABLE `yes_no` DISABLE KEYS */;
INSERT INTO `yes_no` VALUES (1,'Yes',NULL,NULL),(2,'No',NULL,NULL);
/*!40000 ALTER TABLE `yes_no` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `yes_nos`
--

DROP TABLE IF EXISTS `yes_nos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `yes_nos` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `yes_nos`
--

LOCK TABLES `yes_nos` WRITE;
/*!40000 ALTER TABLE `yes_nos` DISABLE KEYS */;
INSERT INTO `yes_nos` VALUES (1,'Yes',NULL,NULL),(2,'No',NULL,NULL);
/*!40000 ALTER TABLE `yes_nos` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-10-16 14:16:26
